--
-- suite du fichier 0_scribe-gibii53.sql
--

-- connexion à la base
\r gibii53

--
-- Contenu de la table `etablissements`
--

INSERT INTO `etablissements` (`etab_id`, `rne`, `nom`, `adresse`, `codepostal`, `ville`, `mail_admin`, `tel_admin`, `typauth_id`, `theme`, `chgt_theme`, `theme_eleve_limite`, `menus_CSS`, `pas_aide_eleve`, `pas_aide_prof`, `pas_aide_admin`, `URL_aide_eleve`, `URL_aide_prof`, `URL_aide_admin`, `niveau`, `nb_validations`, `nbj_vie_demande`, `nb_max_demandes`, `nb_max_refus`, `modele_login_e`, `modele_login_p`, `mdp_eleve`, `mdp_prof`, `fiche_profs`, `stats_profs`, `pop_profs`, `vouvoyer_elev`, `valid_profs`, `result_profs`, `groupes_profs`, `actif`, `alert_message_vide`, `sess_timeout`, `recul_stats`, `last_proc_local`, `profslongs`, `fposition`, `attestation`, `type_id`, `avertissement`, `valid_tous`) VALUES
%if %%is_defined('full_cas') and %%full_cas == 'oui'
(1, '%%numero_etab', "%%libelle_etab", '', '', '%%nom_academie', '', '', 3, 'automne', 0, 0, 0, 0, 0, 0, 'http://wikigibii.ac-bordeaux.fr/index.php/Documentation_El%C3%A8ve', 'http://wikigibii.ac-bordeaux.fr/index.php/Documentation_Prof', 'http://wikigibii.ac-bordeaux.fr/index.php/Documentation_Admin', 'niv23', 1, 30, 5, 0, 'ppp.nnnnnnnnnn', 'pnnnnnnnnnn', 0, 0, 1, 1, 1, 0, 1, 1, 0, 1, 0, 7200, 30, '2000-01-01 00:00:00', 0, 1, 'A5', 2, 'Attention, toutes les irrégularités ou usurpations d''identité sont enregistrées de façon à permettre à l''administration de remonter aux auteurs.', 0);
%else
(1, '%%numero_etab', "%%libelle_etab", '', '', '%%nom_academie', '', '', 2, 'automne', 0, 0, 0, 0, 0, 0, 'http://wikigibii.ac-bordeaux.fr/index.php/Documentation_El%C3%A8ve', 'http://wikigibii.ac-bordeaux.fr/index.php/Documentation_Prof', 'http://wikigibii.ac-bordeaux.fr/index.php/Documentation_Admin', 'niv23', 1, 30, 5, 0, 'ppp.nnnnnnnnnn', 'pnnnnnnnnnn', 0, 0, 1, 1, 1, 0, 1, 1, 0, 1, 0, 7200, 30, '2000-01-01 00:00:00', 0, 1, 'A5', 2, 'Attention, toutes les irrégularités ou usurpations d''identité sont enregistrées de façon à permettre à l''administration de remonter aux auteurs.', 0);
%end if

-- --------------------------------------------------------

--
-- Structure de la table `items`
--

CREATE TABLE IF NOT EXISTS `items` (
  `item_id` int(11) NOT NULL auto_increment,
  `brevet_no` int(11) default NULL,
  `rub_no` int(11) NOT NULL,
  `s_rub_no` int(11) default NULL,
  `obligatoire` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`item_id`),
  KEY `IDX_items1` (`brevet_no`,`rub_no`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=83 ;

--
-- Contenu de la table `items`
--

INSERT INTO `items` (`item_id`, `brevet_no`, `rub_no`, `s_rub_no`, `obligatoire`) VALUES
(1, 1, 1, 1, 1),
(2, 1, 1, 2, 1),
(3, 1, 1, 3, 1),
(4, 1, 1, 4, 1),
(5, 1, 2, 1, 1),
(6, 1, 2, 2, 1),
(7, 1, 2, 3, 1),
(8, 1, 2, 4, 1),
(9, 1, 3, 1, 1),
(10, 1, 3, 2, 1),
(11, 1, 3, 3, 1),
(12, 1, 3, 4, 1),
(13, 1, 3, 5, 1),
(14, 1, 3, 6, 1),
(15, 1, 4, 1, 1),
(16, 1, 4, 2, 1),
(17, 1, 4, 3, 1),
(18, 1, 4, 4, 1),
(19, 1, 5, 1, 1),
(20, 1, 5, 2, 1),
(21, 1, 5, 3, 1),
(22, 1, 5, 4, 1),
(23, 2, 6, 1, 1),
(24, 2, 6, 2, 1),
(25, 2, 6, 3, 1),
(26, 2, 6, 4, 1),
(27, 2, 6, 5, 1),
(28, 2, 6, 6, 1),
(29, 2, 7, 1, 1),
(30, 2, 7, 2, 1),
(31, 2, 7, 3, 1),
(32, 2, 7, 4, 1),
(33, 2, 7, 5, 1),
(34, 2, 7, 6, 1),
(35, 2, 7, 7, 1),
(36, 2, 8, 1, 1),
(37, 2, 8, 2, 1),
(38, 2, 8, 3, 1),
(39, 2, 8, 4, 1),
(40, 2, 8, 5, 1),
(41, 2, 8, 6, 1),
(42, 2, 8, 7, 1),
(43, 2, 9, 1, 1),
(44, 2, 9, 2, 1),
(45, 2, 9, 3, 1),
(46, 2, 9, 4, 1),
(47, 2, 9, 5, 1),
(48, 2, 10, 1, 1),
(49, 2, 10, 2, 1),
(50, 2, 10, 3, 1),
(51, 2, 10, 4, 1),
(52, 3, 11, 1, 1),
(53, 3, 11, 2, 1),
(54, 3, 11, 3, 1),
(55, 3, 11, 4, 1),
(56, 3, 11, 5, 1),
(57, 3, 11, 6, 0),
(58, 3, 12, 1, 1),
(59, 3, 12, 2, 1),
(60, 3, 12, 3, 1),
(61, 3, 12, 4, 1),
(62, 3, 12, 5, 1),
(63, 3, 12, 6, 1),
(64, 3, 12, 7, 1),
(65, 3, 13, 1, 1),
(66, 3, 13, 2, 1),
(67, 3, 13, 3, 1),
(68, 3, 13, 4, 1),
(69, 3, 13, 5, 1),
(70, 3, 13, 6, 1),
(71, 3, 13, 7, 1),
(72, 3, 13, 8, 0),
(73, 3, 14, 1, 1),
(74, 3, 14, 2, 1),
(75, 3, 14, 3, 1),
(76, 3, 14, 4, 1),
(77, 3, 14, 5, 0),
(78, 3, 15, 1, 1),
(79, 3, 15, 2, 1),
(80, 3, 15, 3, 1),
(81, 3, 15, 4, 0),
(82, 3, 15, 5, 0);

-- --------------------------------------------------------

--
-- Structure de la table `libelles`
--

CREATE TABLE IF NOT EXISTS `libelles` (
  `item_id` int(11) NOT NULL,
  `inst` text NOT NULL,
  `base` text NOT NULL,
  PRIMARY KEY  (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `libelles`
--

INSERT INTO `libelles` (`item_id`, `inst`, `base`) VALUES
(1, 'E.1.1 Je sais désigner et nommer les principaux éléments composant l’équipement informatique que j’utilise et je sais à quoi ils servent.', 'E.1.1 Je sais désigner et nommer les principaux éléments composant l’équipement informatique que j’utilise et je sais à quoi ils servent.'),
(2, 'E.1.2 Je sais allumer et éteindre l’équipement informatique ; je sais lancer et quitter un logiciel.', 'E.1.2 Je sais allumer et éteindre l’équipement informatique ; je sais lancer et quitter un logiciel.'),
(3, 'E.1.3 Je sais déplacer le pointeur, placer le curseur, sélectionner, effacer et valider.', 'E.1.3 Je sais déplacer le pointeur, placer le curseur, sélectionner, effacer et valider.'),
(4, 'E.1.4 Je sais accéder à un dossier, ouvrir et enregistrer un fichier.', 'E.1.4 Je sais accéder à un dossier, ouvrir et enregistrer un fichier.'),
(5, 'E.2.1 Je connais les droits et devoirs indiqués dans la charte d’usage des TIC de mon école.', 'E.2.1 Je connais les droits et devoirs indiqués dans la charte d’usage des TIC de mon école.'),
(6, 'E.2.2 Je respecte les autres et je me protège moi-même dans le cadre de la communication et de la publication électroniques.', 'E.2.2 Je respecte les autres et je me protège moi-même dans le cadre de la communication et de la publication électroniques.'),
(7, 'E.2.3 Si je souhaite récupérer un document, je vérifie que j''ai le droit de l''utiliser et à quelles conditions.', 'E.2.3 Si je souhaite récupérer un document, je vérifie que j''ai le droit de l''utiliser et à quelles conditions.'),
(8, 'E.2.4 Je trouve des indices avant d’accorder ma confiance aux informations et propositions que la machine me fournit.', 'E.2.4 Je trouve des indices avant d’accorder ma confiance aux informations et propositions que la machine me fournit.'),
(9, 'E.3.1 Je sais produire et modifier un texte, une image ou un son.', 'E.3.1 Je sais produire et modifier un texte, une image ou un son.'),
(10, 'E.3.2 Je sais saisir les caractères en minuscules, en majuscules, les différentes lettres accentuées et les signes de ponctuation.', 'E.3.2 Je sais saisir les caractères en minuscules, en majuscules, les différentes lettres accentuées et les signes de ponctuation.'),
(11, 'E.3.3 Je sais modifier la mise en forme des caractères et des paragraphes.', 'E.3.3 Je sais modifier la mise en forme des caractères et des paragraphes.'),
(12, 'E.3.4 Je sais utiliser les fonctions copier, couper, coller, insérer, glisser, déposer.', 'E.3.4 Je sais utiliser les fonctions copier, couper, coller, insérer, glisser, déposer.'),
(13, 'E.3.5 Je sais regrouper dans un même document du texte, des images ou du son.', 'E.3.5 Je sais regrouper dans un même document du texte, des images ou du son.'),
(14, 'E.3.6 Je sais imprimer un document.', 'E.3.6 Je sais imprimer un document.'),
(15, 'E.4.1 Je sais utiliser les fenêtres, ascenseurs, boutons de défilement, liens, listes déroulantes, icônes et onglets.', 'E.4.1 Je sais utiliser les fenêtres, ascenseurs, boutons de défilement, liens, listes déroulantes, icônes et onglets.'),
(16, 'E.4.2 Je sais repérer les informations affichées à l''écran', 'E.4.2 Je sais repérer les informations affichées à l''écran'),
(17, 'E.4.3 Je sais saisir une adresse internet et naviguer dans un site', 'E.4.3 Je sais saisir une adresse internet et naviguer dans un site'),
(18, 'E.4.4 Je sais utiliser un mot-clé ou un menu pour faire une recherche.', 'E.4.4 Je sais utiliser un mot-clé ou un menu pour faire une recherche.'),
(19, 'E.5.1 Je sais envoyer et recevoir un message.', 'E.5.1 Je sais envoyer et recevoir un message.'),
(20, 'E.5.2 Je sais dire de qui provient un message et à qui il est adressé.', 'E.5.2 Je sais dire de qui provient un message et à qui il est adressé.'),
(21, 'E.5.3 Je sais trouver le sujet d’un message.', 'E.5.3 Je sais trouver le sujet d’un message.'),
(22, 'E.5.4 Je sais trouver la date d''envoi d''un message.', 'E.5.4 Je sais trouver la date d''envoi d''un message.'),
(23, 'C.1.1 Je sais m''identifier sur un réseau ou un site et mettre fin à cette identification.', 'C.1.1 Je sais m''identifier sur un réseau ou un site et mettre fin à cette identification.'),
(24, 'C.1.2 Je sais accéder aux logiciels et aux documents disponibles à partir de mon espace de travail.', 'C.1.2 Je sais accéder aux logiciels et aux documents disponibles à partir de mon espace de travail.'),
(25, 'C.1.3 Je sais organiser mes espaces de stockage.', 'C.1.3 Je sais organiser mes espaces de stockage.'),
(26, 'C.1.4 Je sais lire les propriétés d''un fichier : nom, format, taille, dates de création et de dernière modification.', 'C.1.4 Je sais lire les propriétés d''un fichier : nom, format, taille, dates de création et de dernière modification.'),
(27, 'C.1.5 Je sais paramétrer l’impression (prévisualisation, quantité, partie de documents, …)', 'C.1.5 Je sais paramétrer l’impression (prévisualisation, quantité, partie de documents, …)'),
(28, 'C.1.6 Je sais faire un autre choix que celui proposé par défaut (lieu d’enregistrement, format, imprimante…)', 'C.1.6 Je sais faire un autre choix que celui proposé par défaut (lieu d’enregistrement, format, imprimante…)'),
(29, 'C.2.1 Je connais les droits et devoirs indiqués dans la charte d’usage des TIC et la procédure d''alerte de mon établissement.', 'C.2.1 Je connais les droits et devoirs indiqués dans la charte d’usage des TIC et la procédure d''alerte de mon établissement.'),
(30, 'C.2.2 Je protège ma vie privée en ne donnant sur internet des renseignements me concernant qu’avec l’accord de mon responsable legal.', 'C.2.2 Je protège ma vie privée en ne donnant sur internet des renseignements me concernant qu’avec l’accord de mon responsable legal.'),
(31, 'C.2.3 Lorsque j’utilise ou transmets des documents, je vérifie que j’en ai le droit.', 'C.2.3 Lorsque j’utilise ou transmets des documents, je vérifie que j’en ai le droit.'),
(32, 'C.2.4 Je m''interroge sur les résultats des traitements informatiques (calcul, représentation graphique, correcteur...)', 'C.2.4 Je m''interroge sur les résultats des traitements informatiques (calcul, représentation graphique, correcteur...)'),
(33, 'C.2.5 J’applique des règles de prudence contre les risques de malveillance (virus, spam...)', 'C.2.5 J’applique des règles de prudence contre les risques de malveillance (virus, spam...)'),
(34, 'C.2.6 Je sécurise mes données (gestion des mots de passe, fermeture de session, sauvegarde)', 'C.2.6 Je sécurise mes données (gestion des mots de passe, fermeture de session, sauvegarde)'),
(35, 'C.2.7 Je mets mes compétences informatiques au service d''une production collective.', 'C.2.7 Je mets mes compétences informatiques au service d''une production collective.'),
(36, 'C.3.1 Je sais modifier la mise en forme des caractères et des paragraphes, paginer automatiquement.', 'C.3.1 Je sais modifier la mise en forme des caractères et des paragraphes, paginer automatiquement.'),
(37, 'C.3.2 Je sais utiliser l''outil de recherche et de remplacement dans un document.', 'C.3.2 Je sais utiliser l''outil de recherche et de remplacement dans un document.'),
(38, 'C.3.3 Je sais regrouper dans un même document plusieurs éléments (texte, image, tableau, son, graphique, vidéo…).', 'C.3.3 Je sais regrouper dans un même document plusieurs éléments (texte, image, tableau, son, graphique, vidéo…).'),
(39, 'C.3.4 Je sais créer, modifier une  feuille de calcul, insérer une formule.', 'C.3.4 Je sais créer, modifier une  feuille de calcul, insérer une formule.'),
(40, 'C.3.5 Je sais réaliser un graphique de type donné.', 'C.3.5 Je sais réaliser un graphique de type donné.'),
(41, 'C.3.6 Je sais utiliser un outil de simulation (ou de modélisation) en étant conscient de ses limites.', 'C.3.6 Je sais utiliser un outil de simulation (ou de modélisation) en étant conscient de ses limites.'),
(42, 'C.3.7 Je sais traiter un fichier image ou son à l''aide d''un logiciel dédié notamment pour modifier ses propriétés fondamentales.', 'C.3.7 Je sais traiter un fichier image ou son à l''aide d''un logiciel dédié notamment pour modifier ses propriétés fondamentales.'),
(43, 'C.4.1 Je sais rechercher des références de documents à l’aide du logiciel documentaire présent au CDI.', 'C.4.1 Je sais rechercher des références de documents à l’aide du logiciel documentaire présent au CDI.'),
(44, 'C.4.2 Je sais utiliser les fonctions principales d''un logiciel de navigation sur le web (paramétrage, gestion des favoris, gestion des affichages et de l''impression)', 'C.4.2 Je sais utiliser les fonctions principales d''un logiciel de navigation sur le web (paramétrage, gestion des favoris, gestion des affichages et de l''impression)'),
(45, 'C.4.3 je sais utiliser les fonctions principales d''un outil de recherche sur le web (moteur de recherche, annuaire, ...)', 'C.4.3 je sais utiliser les fonctions principales d''un outil de recherche sur le web (moteur de recherche, annuaire, ...)'),
(46, 'C.4.4 Je sais relever des éléments me permettant de connaître l’origine de l’information (auteur, date, source…)', 'C.4.4 Je sais relever des éléments me permettant de connaître l’origine de l’information (auteur, date, source…)'),
(47, 'C.4.5 Je sais sélectionner des résultats lors d''une recherche (et donner des arguments permettant de justifier mon choix)', 'C.4.5 Je sais sélectionner des résultats lors d''une recherche (et donner des arguments permettant de justifier mon choix)'),
(48, 'C.5.1 Lorsque j''envoie ou je publie des informations, je réfléchis aux lecteurs possibles en fonction de l''outil utilisé.', 'C.5.1 Lorsque j''envoie ou je publie des informations, je réfléchis aux lecteurs possibles en fonction de l''outil utilisé.'),
(49, 'C.5.2 Je sais ouvrir et enregistrer un fichier joint à un message ou à une publication.', 'C.5.2 Je sais ouvrir et enregistrer un fichier joint à un message ou à une publication.'),
(50, 'C.5.3 Je sais envoyer ou publier un message avec un fichier joint.', 'C.5.3 Je sais envoyer ou publier un message avec un fichier joint.'),
(51, 'C.5.4 Je sais utiliser un carnet d’adresses ou un annuaire pour choisir un destinataire.', 'C.5.4 Je sais utiliser un carnet d’adresses ou un annuaire pour choisir un destinataire.'),
(52, 'L.1.1 Je sais choisir les services, matériels et logiciels adaptés à mes besoins.', 'L.1.1 Je sais choisir les services, matériels et logiciels adaptés à mes besoins.'),
(53, 'L.1.2 Je sais structurer mon environnement de travail.', 'L.1.2 Je sais structurer mon environnement de travail.'),
(54, 'L.1.3 Je sais régler les principaux paramètres de fonctionnement d''un périphérique selon mes besoins.', 'L.1.3 Je sais régler les principaux paramètres de fonctionnement d''un périphérique selon mes besoins.'),
(55, 'L.1.4 Je sais personnaliser un logiciel selon mes besoins.', 'L.1.4 Je sais personnaliser un logiciel selon mes besoins.'),
(56, 'L.1.5 Je sais m’affranchir des fonctions automatiques des logiciels (saisie, mémorisation mot de passe, correction orthographique, incrémentation…)', 'L.1.5 Je sais m’affranchir des fonctions automatiques des logiciels (saisie, mémorisation mot de passe, correction orthographique, incrémentation…)'),
(57, 'L.1O1 : Je sais utiliser une plate-forme de travail de groupe.', 'L.1O1 : Je sais utiliser une plate-forme de travail de groupe.'),
(58, 'L.2.1 Je connais la charte d''usage des TIC de mon établissement.', 'L.2.1 Je connais la charte d''usage des TIC de mon établissement .'),
(59, 'L.2.2 Je protège ma vie privée en réfléchissant aux informations personnelles que je communique.', 'L.2.2 Je protège ma vie privée en réfléchissant aux informations personnelles que je communique.'),
(60, 'L.2.3 J''utilise les documents ou les logiciels dans le respect des droits d''auteurs et de propriété.', 'L.2.3 J''utilise les documents ou les logiciels dans le respect des droits d''auteurs et de propriété.'),
(61, 'L.2.4 Je valide à partir de critères définis les résultats qu''un traitement automatique  me fournit (calcul, représentation graphique, correcteur...).', 'L.2.4 Je valide à partir de critères définis les résultats qu''un traitement automatique  me fournit (calcul, représentation graphique, correcteur...).'),
(62, 'L.2.5 Je suis capable de me référer en cas de besoin à la réglementation en vigueur sur les usages numériques.', 'L.2.5 Je suis capable de me référer en cas de besoin à la réglementation en vigueur sur les usages numériques.'),
(63, 'L.2.6 Je sais que l’on peut connaître mes opérations et accéder à mes données lors de l’utilisation d’un équipement informatique.', 'L.2.6 Je sais que l’on peut connaître mes opérations et accéder à mes données lors de l’utilisation d’un équipement informatique.'),
(64, 'L.2.7 Je mets mes compétences informatiques à disposition des autres.', 'L.2.7 Je mets mes compétences informatiques à disposition des autres.'),
(65, 'L.3.1 Je sais créer et modifier un document numérique composite transportable et publiable.', 'L.3.1 Je sais créer et modifier un document numérique composite transportable et publiable.'),
(66, 'L.3.2 Je sais insérer automatiquement des informations dans un document (notes de bas de page, sommaire…)', 'L.3.2 Je sais insérer automatiquement des informations dans un document (notes de bas de page, sommaire…)'),
(67, 'L.3.3 Je sais utiliser des fonctions permettant de travailler à plusieurs sur un même document (outils de suivi de modifications…)', 'L.3.3 Je sais utiliser des fonctions permettant de travailler à plusieurs sur un même document (outils de suivi de modifications…)'),
(68, 'L.3.4 Je sais utiliser ou créer des formules pour traiter les données.', 'L.3.4 Je sais utiliser ou créer des formules pour traiter les données.'),
(69, 'L.3.5 Je sais produire une représentation graphique à partir d’un traitement de données numériques.', 'L.3.5 Je sais produire une représentation graphique à partir d’un traitement de données numériques.'),
(70, 'L.3.6 Dans le cadre de mes activités scolaires, je sais repérer des exemples de modélisation ou de simulation et je sais citer au moins un paramètre qui influence le résultat.', 'L.3.6 Dans le cadre de mes activités scolaires, je sais repérer des exemples de modélisation ou de simulation et je sais citer au moins un paramètre qui influence le résultat.'),
(71, 'L.3.7 Je sais publier un document numérique sur un espace approprié.', 'L.3.7 Je sais publier un document numérique sur un espace approprié.'),
(72, 'L.3O1 Je sais utiliser un modèle de document.', 'L.3O1 : Je sais utiliser un modèle de document.'),
(73, 'L.4.1 Je sais interroger les bases documentaires à ma disposition.', 'L.4.1 Je sais interroger les bases documentaires à ma disposition.'),
(74, 'L.4.2 Je sais utiliser les fonctions avancées des outils de recherche sur internet.', 'L.4.2 Je sais utiliser les fonctions avancées des outils de recherche sur internet.'),
(75, 'L.4.3 Je sais énoncer des critères de tri d''informations.', 'L.4.3 Je sais énoncer des critères de tri d''informations.'),
(76, 'L.4.4 Je sais constituer une bibliographie incluant des documents d’origine numérique.', 'L.4.4 Je sais constituer une bibliographie incluant des documents d’origine numérique.'),
(77, 'L.4O1 Je sais utiliser des outils de veille documentaire.', 'L.4O1 : Je sais utiliser des outils de veille documentaire.'),
(78, 'L.5.1 Je sais choisir le service de communication selon mes besoins.', 'L.5.1 Je sais choisir le service de communication selon mes besoins.'),
(79, 'L.5.2 Je sais organiser mes espaces d''échange (messagerie, travail de groupe…).', 'L.5.2 : Je sais organiser mes espaces d''échange (messagerie, travail de groupe…).'),
(80, 'L.5.3 Je sais adapter le contenu des informations  transmises aux lecteurs potentiels : niveau de langage, forme, contenu, taille, copies.', 'L.5.3 Je sais adapter le contenu des informations  transmises aux lecteurs potentiels : niveau de langage, forme, contenu, taille, copies.'),
(81, 'L.5O1 Je sais paramétrer un logiciel de messagerie pour récupérer mon courrier électronique.', 'L.5O1 : Je sais paramétrer un logiciel de messagerie pour récupérer mon courrier électronique.'),
(82, 'L.5O2 Je sais gérer des groupes de destinataires.', 'L.5O2 : Je sais gérer des groupes de destinataires.');

-- --------------------------------------------------------

--
-- Structure de la table `libelles_perso`
--

CREATE TABLE IF NOT EXISTS `libelles_perso` (
  `item_id` int(11) NOT NULL,
  `libelle` text NOT NULL,
  `etab_id` int(11) NOT NULL,
  KEY `IDX_libelles_perso1` (`etab_id`,`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `libelles_perso`
--


-- --------------------------------------------------------

--
-- Structure de la table `lien_eleves_classes`
--

CREATE TABLE IF NOT EXISTS `lien_eleves_classes` (
  `eleve_id` int(11) NOT NULL,
  `classe_id` int(11) NOT NULL,
  KEY `IDX_lien_eleves_classes1` (`eleve_id`),
  KEY `IDX_lien_eleves_classes2` (`classe_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `lien_eleves_classes`
--

INSERT INTO `lien_eleves_classes` (`eleve_id`, `classe_id`) VALUES
(1, 1);

-- --------------------------------------------------------

--
-- Structure de la table `lien_eleves_disciplines`
--

CREATE TABLE IF NOT EXISTS `lien_eleves_disciplines` (
  `rang` tinyint(4) default NULL,
  `eleve_id` int(11) NOT NULL,
  `disc_id` int(11) NOT NULL,
  KEY `IDX_lien_eleves_disciplines1` (`eleve_id`),
  KEY `IDX_lien_eleves_disciplines2` (`disc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `lien_eleves_disciplines`
--

INSERT INTO `lien_eleves_disciplines` (`rang`, `eleve_id`, `disc_id`) VALUES
(1, 1, 1),
(2, 1, 2),
(3, 1, 3);

-- --------------------------------------------------------

--
-- Structure de la table `lien_profs_classes`
--

CREATE TABLE IF NOT EXISTS `lien_profs_classes` (
  `prof_id` int(11) NOT NULL,
  `classe_id` int(11) NOT NULL,
  KEY `idx_prof_id` (`prof_id`),
  KEY `IDX_lien_profs_classes2` (`classe_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `lien_profs_classes`
--

INSERT INTO `lien_profs_classes` (`prof_id`, `classe_id`) VALUES
(1, 1);

-- --------------------------------------------------------

--
-- Structure de la table `lpi`
--

CREATE TABLE IF NOT EXISTS `lpi` (
  `prof_id` int(11) default NULL,
  `item_id` int(11) default NULL,
  KEY `IDX_lpi1` (`prof_id`),
  KEY `IDX_lpi2` (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `lpi`
--


-- --------------------------------------------------------

--
-- Structure de la table `lrp`
--

CREATE TABLE IF NOT EXISTS `lrp` (
  `resultat_id` int(11) NOT NULL,
  `prof_id` int(11) NOT NULL,
  `quand` datetime default NULL,
  UNIQUE KEY `ix_rt` (`resultat_id`,`prof_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `lrp`
--


-- --------------------------------------------------------

--
-- Structure de la table `profs`
--

CREATE TABLE IF NOT EXISTS `profs` (
  `prof_id` int(11) NOT NULL auto_increment,
  `nom` varchar(30) NOT NULL,
  `civil` enum('M.','Mme','Mlle') NOT NULL default 'Mme',
  `dnaiss` varchar(12) NOT NULL,
  `prenom` varchar(25) default NULL,
  `uid` varchar(20) NOT NULL default '',
  `admin` int(10) unsigned NOT NULL default '0',
  `tag` int(11) NOT NULL default '0',
  `annee` int(11) NOT NULL,
  `compte_id` int(11) default NULL,
  `etab_id` int(11) NOT NULL,
  `disc_id` int(11) NOT NULL default '-1',
  `opt_dem1an` tinyint(4) default '0',
  PRIMARY KEY  (`prof_id`),
  KEY `IDX_profs1` (`nom`,`prenom`,`tag`),
  KEY `IDX_profs2` (`etab_id`,`annee`,`tag`),
  KEY `IDX_profs3` (`compte_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Contenu de la table `profs`
--

INSERT INTO `profs` (`prof_id`, `nom`, `civil`, `dnaiss`, `prenom`, `uid`, `admin`, `tag`, `annee`, `compte_id`, `etab_id`, `disc_id`, `opt_dem1an`) VALUES
(1, 'TEST', 'M.', '01/01', 'Prof', '', 0, -1, 2007, 3, 1, 0, 0);

-- --------------------------------------------------------

--
-- Structure de la table `reponses`
--

CREATE TABLE IF NOT EXISTS `reponses` (
  `reponse_id` int(11) NOT NULL auto_increment,
  `accord` tinyint(1) NOT NULL default '0',
  `quand` datetime default NULL,
  `commentaire` text,
  `message_id` int(11) default NULL,
  `prof_id` int(11) NOT NULL,
  PRIMARY KEY  (`reponse_id`),
  KEY `idx_message_id` (`message_id`),
  KEY `IDX_reponses2` (`prof_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `reponses`
--


-- --------------------------------------------------------

--
-- Structure de la table `resultats`
--

CREATE TABLE IF NOT EXISTS `resultats` (
  `resultat_id` int(11) NOT NULL auto_increment,
  `quand` datetime NOT NULL,
  `eleve_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  `disc_id` int(11) default '0',
  PRIMARY KEY  (`resultat_id`),
  KEY `ix_elitdi` (`eleve_id`,`item_id`,`disc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `resultats`
--


-- --------------------------------------------------------

--
-- Structure de la table `rubriques`
--

CREATE TABLE IF NOT EXISTS `rubriques` (
  `rub_no` int(11) NOT NULL,
  `libelle` text,
  `rub_simple` varchar(55) default NULL,
  PRIMARY KEY  (`rub_no`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `rubriques`
--

INSERT INTO `rubriques` (`rub_no`, `libelle`, `rub_simple`) VALUES
(1, 'Domaine 1 : S’approprier un environnement informatique de travail', 'S’approprier un environnement informatique de travail'),
(2, 'Domaine 2 : Adopter une attitude responsable', 'Adopter une attitude responsable'),
(3, 'Domaine 3 : Créer, produire, traiter, exploiter des données', 'Créer, produire, traiter, exploiter des données'),
(4, 'Domaine 4 : S’informer, se documenter', 'S’informer, se documenter'),
(5, 'Domaine 5 : Communiquer, échanger', 'Communiquer, échanger'),
(6, 'Domaine 1 : S’approprier un environnement informatique de travail', 'S’approprier un environnement informatique de travail'),
(7, 'Domaine 2 : Adopter une attitude responsable', 'Adopter une attitude responsable'),
(8, 'Domaine 3 : Créer, produire, traiter, exploiter des données', 'Créer, produire, traiter, exploiter des données'),
(9, 'Domaine 4 : S’informer, se documenter', 'S’informer, se documenter'),
(10, 'Domaine 5 : Communiquer, échanger', 'Communiquer, échanger'),
(11, 'Domaine 1 : S’approprier un environnement informatique de travail', 'S’approprier un environnement informatique de travail'),
(12, 'Domaine 2 : Adopter une attitude responsable', 'Adopter une attitude responsable'),
(13, 'Domaine 3 : Créer, produire, traiter, exploiter des données', 'Créer, produire, traiter, exploiter des données'),
(14, 'Domaine 4 : S’informer, se documenter', 'S’informer, se documenter'),
(15, 'Domaine 5 : Communiquer, échanger', 'Communiquer, échanger');

-- --------------------------------------------------------

--
-- Structure de la table `textes`
--

CREATE TABLE IF NOT EXISTS `textes` (
  `texte_id` int(11) NOT NULL auto_increment,
  `texte` text,
  `ecritquand` datetime default NULL,
  `attributs` varchar(255) default NULL,
  `from_id` varchar(40) default NULL,
  `suivant` int(11) default '0',
  PRIMARY KEY  (`texte_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `textes`
--


-- --------------------------------------------------------

--
-- Structure de la table `types_auth`
--

CREATE TABLE IF NOT EXISTS `types_auth` (
  `typauth_id` int(11) NOT NULL auto_increment,
  `nom` varchar(40) default NULL,
  `extra` varchar(40) default NULL,
  PRIMARY KEY  (`typauth_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Contenu de la table `types_auth`
--

INSERT INTO `types_auth` (`typauth_id`, `nom`, `extra`) VALUES
(1, 'Interne', NULL),
(2, 'LDAP', NULL),
(3, 'CAS', NULL);

-- --------------------------------------------------------

--
-- Structure de la table `typetab`
--

CREATE TABLE IF NOT EXISTS `typetab` (
  `type_id` int(11) NOT NULL auto_increment,
  `type` varchar(10) NOT NULL,
  `libelle` varchar(40) default NULL,
  PRIMARY KEY  (`type_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Contenu de la table `typetab`
--

INSERT INTO `typetab` (`type_id`, `type`, `libelle`) VALUES
(1, 'ECOLE', 'Ecole'),
(2, 'CLG', 'Collège'),
(3, 'LP', 'Lycée professionnel'),
(4, 'LYC', 'Lycée'),
(5, 'EREA', 'EREA'),
(6, 'SEGPA', 'SEGPA');

-- --------------------------------------------------------

--
-- Structure de la table `_params_auth`
--

CREATE TABLE IF NOT EXISTS `_params_auth` (
  `param_id` int(11) NOT NULL auto_increment,
  `etab_id` int(11) NOT NULL,
  `param_nom` varchar(40) default NULL,
  `param_type` enum('i','s','a') default NULL,
  `param_val` varchar(60) default NULL,
  `param_desc` varchar(40) default NULL,
  `param_tag` tinyint(4) default '-1',
  PRIMARY KEY  (`param_id`),
  UNIQUE KEY `ix_etb_n` (`etab_id`,`param_nom`)
%if %%is_defined('full_cas') and %%full_cas == 'oui'
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;
INSERT INTO `_params_auth` (`param_id`, `etab_id`, `param_nom`, `param_type`, `param_val`, `param_desc`, `param_tag`) VALUES
%if %%is_defined('cas_domainname')
(1, 1, 'CAS_SERVEUR', 's', '%%cas_domainname', 'Adresse du serveur CAS', -1),
%else
(1, 1, 'CAS_SERVEUR', 's', '%%adresse_ip_eth0', 'Adresse du serveur CAS', -1),
%end if
%if %%is_defined('cas_port')
(2, 1, 'CAS_PORT', 'i', '%%cas_port', 'Port du serveur CAS', -1),
%else
(2, 1, 'CAS_PORT', 'i', '8443', 'Port du serveur CAS', -1),
%end if
(3, 1, 'CAS_URI', 's', '', 'URI sur le serveur CAS', -1),
(4, 1, 'CAS_EXCLUSIF', 'i', '1', 'CAS exclusif (eole)', -1),
(5, 1, 'CAS_RETOUR', 's', '../cas_logout.php', 'URL du fichier de logout cas(eole)', '-1');
%else
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;
--
-- Contenu de la table `_params_auth`
--
INSERT INTO `_params_auth` (`param_id`, `etab_id`, `param_nom`, `param_type`, `param_val`, `param_desc`, `param_tag`) VALUES
(1, 1, 'ldap_server', 's', '%%adresse_ip_eth0', 'Adresse du serveur LDAP', -1),
(2, 1, 'ldap_port', 'i', '389', 'Port du serveur LDAP', -1),
(3, 1, 'ldap_basedn', 's', 'o=gouv,c=fr', 'Base DN', -1);
%end if


-- --------------------------------------------------------

--
-- Structure de la table `_params_globaux`
--

CREATE TABLE IF NOT EXISTS `_params_globaux` (
  `param_nom` varchar(32) NOT NULL,
  `param_type` enum('i','s','a') NOT NULL,
  `param_val` text,
  `param_desc` varchar(255) default NULL,
  `param_tag` int(11) NOT NULL default '0',
  PRIMARY KEY  (`param_nom`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `_params_globaux`
--

INSERT INTO `_params_globaux` (`param_nom`, `param_type`, `param_val`, `param_desc`, `param_tag`) VALUES
('VERSION_GIBII', 's', '5.3.2', 'Modifié manuellement', -1),
('DATE_GIBII', 's', '21/02/2008', 'de même...', -1),
('DISC_ID_DEFAULT', 'i', '1', 'indice de la discipline par défaut dans diciplines (anglais)', -1),
('DISCIPLINE_DEFAULT', 's', 'Anglais', 'Libellé de la discipline par défaut', -1),
('DATA', 's', '../data', 'Répertoire des données publiques', -1),
('HIDEDATA', 's', '../prive', 'Répertoire des données privées', -1),
('MODULE', 's', 'GiBii', 'Nom du module', -1),
('PERIODE_PROC_LOCAL', 'i', '2', 'Processus local (étab) lancé tous les 2 jours (en principe !)', -1),
('PERIODE_PROC_GLOBAL', 'i', '2', 'Processus global lancé tous les 2 jours (en principe !)', -1),
('LAST_PROC_GLOBAL', 'i', '0', 'Timestamp du dernier lancement', -1),
('VERSION_B2I', 's', '2006', 'Version du référentiel (2000 vs 2006)', -1),
('HTTP_INI', 's', 'http://carlo.ac-bordeaux.fr/gibii/.meta/maj_gibii.ini', 'chemin complet du fichier maj_gibii.ini décrivant les maj auto', -1),
('HTTP_MAJ', 's', 'http://carlo.ac-bordeaux.fr/gibii', 'chemin complet du répertoire des maj (sans /)', -1),
('HTTP_LAST', 's', '0000-00-00 00:00:00', 'date de la dernière mise à jour', -1),
('SITE_GIBII', 's', '1204297957_1344511415', 'identificateur du site créé à l''install', -1),
('MOIS_RENTREE', 'i', '9', 'pour connaître année scolaire', 0),
('MAIL_ADMIN', 's', '', 'Adresse de messagerie du superadministrateur', 0),
('MDP_MINI', 'i', '0', 'Longueur minimale du mot de passe', 0),
('AGREMENT_CNIL', 'i', '0', 'La demande d''agrément à la CNIL a été obtenue', 0),
('HTTP_FREQ_MAJ', 'i', '2', 'fréquence max en jours des requêtes au serveur', 0),
('URL_AIDE_ELEVE', 's', 'http://wikigibii.ac-bordeaux.fr/index.php/Documentation_El%C3%A8ve', 'Adresse de l''aide en ligne pour l''élève', 0),
('URL_AIDE_PROF', 's', 'http://wikigibii.ac-bordeaux.fr/index.php/Documentation_Prof', 'Adresse de l''aide en ligne pour le prof', 0),
('URL_AIDE_ADMIN', 's', 'http://wikigibii.ac-bordeaux.fr/index.php/Documentation_Admin', 'Adresse de l''aide en ligne pour l''admin', 0),
('ENTREE_STRICTE', 'i', '1', 'Impose à l''utilisateur de fournir au login une donnée caractérisant son établissement (aucune aide ne lui est fournie)', 0),
('MDP_INIT_GEP', 'i', '1', 'Le premier mot de passe est une donnée personnelle du GEP (sinon, c''est la date de naissance jj/mm)', 0),
('IMPOSE_CHGT_MDP', 'i', '1', 'Impose à l''utilisateur un changement de mot de passe à l''ouverture de la première session', 0),
('PAS_ITEM_MANUEL_GEST', 'i', '1', 'Le compte gestion ne peut pas attribuer d''items', 0),
('PAS_ITEM_MANUEL_ADMIN', 'i', '1', 'Le compte admin ne peut pas attribuer d''items', 0),
('PAS_SAUVE_LOCAL', 'i', '1', 'L''admin ne peut pas récupérer une sauvegarde partielle de la base localement', 0),
('PAS_IMPORT_EXPORT', 'i', '1', 'L''admin ne peut pas utiliser les boutons d''import-export', 0),
('SIMPLITEM', 'i', '1', 'L''admin ne peut pas accéder à la simplification des items', 0),
('ADM_RESTORE', 'i', '1', 'Les admins peuvent restaurer une sauvegarde antérieure', 0),
('MAIL_FROM', 's', 'Saisir un expéditeur', 'Inscription étabs : expéditeur', 0),
('MAIL_TO', 's', 'Saisir un ou plusieurs destinataires', 'Inscription étabs : Destinataire', 0),
('MAIL_CC', 's', ' ', 'Inscription étabs : en copie', 0),
('MAIL_SUBJECT', 's', 'Votre GiBii est en ligne...', 'Inscription étabs : objet', 0),
('SESS_TIMEOUT_MIN', 'i', '600', 'Valeur inférieure du time-out session imposé aux établissements (entre 2 demandes de page)', 0),
('SESS_TIMEOUT_MAX', 'i', '7200', 'Valeur supérieure du time-out session imposé aux établissements (entre 2 demandes de page)', 0),
('ADM_INE', 'i', '0', 'Les admins peuvent lire modifier l INE eleve', 0),
('STATSPROFS', 'i', '0', 'Accès aux stats nominatives par professeur en sadmin', 0);
