## Creation de la base Mysql pour Squirrelmail
## Scribe-2.0
## Equipe Eole, 2007

# Creation base de donnees
CREATE DATABASE squirrelmail;

# Creation utilisateur (FIXME : password)
GRANT select,insert,update,delete ON squirrelmail.* TO squirreluser@localhost IDENTIFIED BY 'sqpassword';

# Connexion a la base
\r squirrelmail

# Creation de la table *address*
CREATE TABLE address (
    owner varchar(128) DEFAULT '' NOT NULL,
    nickname varchar(16) DEFAULT '' NOT NULL,
    firstname varchar(128) DEFAULT '' NOT NULL,
    lastname varchar(128) DEFAULT '' NOT NULL,
    email varchar(128) DEFAULT '' NOT NULL,
    label varchar(255),
    PRIMARY KEY (owner,nickname),
    KEY firstname (firstname,lastname)
);

# Creation de la table *userprefs*
CREATE TABLE userprefs (
    user varchar(128) DEFAULT '' NOT NULL,
    prefkey varchar(64) DEFAULT '' NOT NULL,
    prefval BLOB DEFAULT '' NOT NULL,
    PRIMARY KEY (user,prefkey)
);
