#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# eva3.py
#
# Configuration de base de données mysql de eva3
#
###########################################################################
"""
    Config pour eva3
"""
from os.path import isdir
from eolesql.config import dico_creole
EVA_TABLEFILENAMES = ["/etc/sysconfig/eole/scribe-eva3.sql"]
def test():
    """
        test l'existence de la table Eva
    """
    return dico_creole.get('apache_eva', 'non') == 'oui' and \
           not isdir("/var/lib/mysql/eva3")

conf_dict = dict(filenames=EVA_TABLEFILENAMES,
                 test=test)
