#!/bin/bash
#
# Génération de l'annaire minimum
#
/etc/init.d/slapd stop #>/dev/null 2>&1
rm -f /var/lib/ldap/*.*
/etc/init.d/slapd start #>/dev/null 2>&1

# mot de passe LDAP
PASSWD="eole"

echo "Creation de l'annuaire"
echo "Veuillez patienter quelques instants ..."
sleep 1

# arborescence LDAP
ldapadd -x  -D cn=admin,o=gouv,c=fr -w $PASSWD -f /etc/sysconfig/eole/DIT.ldif #>/dev/null 2>&1

# entrées de base
ldapadd -x  -D cn=admin,o=gouv,c=fr -w $PASSWD -f /etc/sysconfig/eole/SCRIBE.ldif #>/dev/null 2>&1

## synchronisation du fichier smb.conf
/etc/init.d/networking restart &> /dev/null
/usr/share/eole/backend/synchro_file.py norestart

# validation du mot de passe pour samba
smbpasswd -w $PASSWD
#service samba restart

# stockage du SID dans ldap
#net rpc getsid

#service lpd restart >/dev/null 2>&1

