#!/bin/bash

############################################################
## manage-scribe.sh pour Scribe-1.0 beta 
#
## Interface de gestion du module Scribe en mode dialog
#
## Equipe Eole eole@ac-dijon.fr, mai 2004
#
## $Id: manage-scribe.sh,v 1.4 2004/05/05 15:43:37 klaas Exp $
############################################################

# Initialisation des variables
# Avec verification dans l'Environnement 
RepEole=${RepEole="/usr/share/eole"}
export PATH=$PATH:/sbin

# un seul manage ?
pmanage=`pgrep manage-scribe`
nbmanage=`echo $pmanage | wc -w`

# Mode Dialog Graphique
ModeDialog=${ModeDialog=oui}
if [ "$ModeDialog" == "oui" ]
then
export DIALOGRC=$RepEole/.dialogrc
#export ECHO=InfoBox2
fi

# FIXME Eole2 !
#service gpm status 
#if [ $? -ne 0 ]
#then
#	NOMOUSE="--nomouse"
#fi

TitreGen="Eole  -  Gestion Serveur SCRIBE"
# Appel Bibliothèque
[ -x $RepEole/FonctionsEole ] || {
        echo "Pas de bibliotheque Eole !"
        exit 1
	}
. $RepEole/FonctionsEole

export ECHO=InfoBox2
Question()
{
InputBox "$1" Rep
if [ "$Rep" == "CANCEL" ] 
then
echo "Abandon"	
exit 1
fi
}

Entree(){
echo  "Tapez <Entree>"
read Bidon
}

if [ $nbmanage -ne 1 ]
then
        MenuBox "D'autres instances de manage-scribe ont été détectées" Rep "1 Quitter_sans_tuer 2 Quitter_et_tuer"
        if [ "$Rep" == "2" ]
        then
                for pid in $pmanage
                do
                        kill -9 $pid
                done
        fi
        exit 1
fi

OkBox "Administration SCRIBE\n\nPour Vous Deplacer sur l'Ecran\nUtiliser votre Souris\nOu la touche tabulation.\n\n"

FileCpt="$Tmp/Scribe$TmpSuff"
touch $FileCpt


Rep=""
while [ 1 ]
do
#MenuBox "Votre Choix"  Rep "1 Diagnostic_Scribe 2 Reconfiguration 3 Mise_A_Jour_CD 4 Mise_A_Jour_Reseau 5 Demarre_les_services 6 Status_Samba 7 Paquets_en_Maj 8 Sauvegarde 9 Arret_Serveur ! Shell_Linux  Q Quitter"
MenuBox "Votre Choix"  Rep "1 Diagnostic_Scribe 2 Reconfiguration 3 Paquets_en_Maj 4 Mise_A_Jour 5 Demarre_les_services 6 Status_Samba 8 Redemarrer_Serveur 9 Arret_Serveur ! Shell_Linux  Q Quitter"

if [ "$Rep" == "CANCEL" ] 
then
	clear
	echo "Abandon"
	exit 1
fi
case $Rep in
	1) 
	echo "En cours ..."
	sudo /usr/bin/diagnose
	Entree
	;;
	2) 
	sudo /usr/bin/reconfigure
	Entree
	;;
	3) 
	sudo /usr/bin/Query-Auto
	Entree
	;;
	4) 
	sudo /usr/bin/Maj-Auto
	Entree
	;;
	5)
	sudo /usr/bin/StartAll
	;;
	6)
	smbstatus  > $FileCpt 2>&1
	dialog $NOMOUSE --title "Diagnostic Samba"  --exit-label "Quitter" --textbox $FileCpt 0 0
	;;
        #8)
	# appel de manage-sauve.sh avec un sudo pour éviter les pbs ultérieurs
	#sudo $RepEole/manage-sauve.sh
	#sudo $RepEole/sauvedisque.sh > $FileCpt 2>&1
	#dialog $NOMOUSE --title "Sauvegarde Scribe"  --exit-label "Quitter" --textbox $FileCpt 0 0
	#;;
        8)
        QuestionBox "Vous avez demandé le redémarrage du serveur\nEtes vous sur ?" Rep
        if [ "$Rep" == "OUI" ]
        then
        sudo /sbin/reboot
        exit 0
        fi
        ;;
	9)
	QuestionBox "Vous avez demandé un arret total du serveur\nEtes vous sur ?" Rep
	if [ "$Rep" == "OUI" ] 
	then
	sudo /sbin/halt
	exit 0
	fi
	;;
	!)
	echo "\"exit\" ou \"Ctrl + d\" pour revenir au Menu"
        /bin/bash	
        ;;
	Q)
	clear
	exit 0
	;;

esac
done
