#!/bin/bash

# Récupération du SID
# Remplacement de sa valeur dans les fichiers LDIF et smbldap

net rpc getsid &> /dev/null
ok=1
while [ "$ok" == "1" ];
do
	export EOLE_SID_EOLE=`net getlocalsid | awk -F: '{print $2}' | awk -F " " '{print $1}'`
	sid=$?
	if [ "$sid" == "0" ] && [ "$EOLE_SID_EOLE" != "" ];
	then
		# on a le SID
		ok=0
		echo "le SID est : $EOLE_SID_EOLE"
	else
		net rpc getsid &> /dev/null 
	fi
	sleep 3
done

# remplacement du template "[sambasid]"
perl -i -pe's@\[sambasid\]@$ENV{EOLE_SID_EOLE}@'g /etc/sysconfig/eole/SCRIBE.ldif
perl -i -pe's@\[sambasid\]@$ENV{EOLE_SID_EOLE}@'g /etc/smbldap-tools/smbldap.conf
