-- phpMyAdmin SQL Dump
-- version 2.10.3deb1ubuntu0.1
-- http://www.phpmyadmin.net
-- 
-- Serveur: localhost
-- Généré le : Jeu 28 Février 2008 à 14:16
-- Version du serveur: 5.0.45
-- Version de PHP: 5.2.3-1ubuntu6.3

-- Création de la base Mysql pour scribe-eva3
-- Equipe Eole 2008

-- création de la base de donnée
CREATE DATABASE eva3;

-- création du user de la base
grant all privileges on eva3.* to eva3@localhost identified by 'eva3';
flush privileges ;

-- connexion à la base
\r eva3


SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- 
-- Base de données: `eva3`
-- 

-- --------------------------------------------------------

-- 
-- Structure de la table `eva_habillage`
-- 

CREATE TABLE IF NOT EXISTS `eva_habillage` (
  `id_habillage` int(11) NOT NULL auto_increment,
  `habillage` text NOT NULL,
  `sauvegarde` text NOT NULL,
  PRIMARY KEY  (`id_habillage`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

-- 
-- Contenu de la table `eva_habillage`
-- 

INSERT INTO `eva_habillage` (`id_habillage`, `habillage`, `sauvegarde`) VALUES 
(1, 'eva_style_images_de_fond.css', 'Defaut'),
(2, '0', '');

-- --------------------------------------------------------

-- 
-- Structure de la table `eva_habillage_images`
-- 

CREATE TABLE IF NOT EXISTS `eva_habillage_images` (
  `id` int(11) NOT NULL auto_increment,
  `type` text NOT NULL,
  `nom_habillage` text NOT NULL,
  `nom_div` text NOT NULL,
  `nom_image` text NOT NULL,
  `pos_x` text NOT NULL,
  `pos_y` text NOT NULL,
  `repetition` text NOT NULL,
  `attach` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=31 ;

-- 
-- Contenu de la table `eva_habillage_images`
-- 

INSERT INTO `eva_habillage_images` (`id`, `type`, `nom_habillage`, `nom_div`, `nom_image`, `pos_x`, `pos_y`, `repetition`, `attach`) VALUES 
(30, 'image', 'Defaut', 'image_menu_off', 'Eva/EVAplage_SecteurMenu.png', 'right', 'top', 'repeat-y', 'scroll'),
(29, 'image', 'Defaut', 'image_entete_page', 'Eva/EVAplage_entete.png', 'left', 'bottom', 'repeat-x', 'scroll'),
(28, 'image', 'Defaut', 'image_barre_entete_arborescence', 'Eva/EVAplage_arborescence.png', 'left', 'top', 'repeat-x', 'scroll'),
(27, 'image', 'Defaut', 'image_edito_titre', 'Eva/EVAplage_liens.png', 'left', 'bottom', 'repeat-x', 'scroll'),
(26, 'image', 'Defaut', 'image_titre_entete', 'Eva/EVAplage_liens.png', 'left', 'bottom', 'repeat-x', 'scroll'),
(25, 'image', 'Defaut', 'image_titres', 'Eva/EVAplage_liens.png', 'left', 'bottom', 'repeat-x', 'scroll'),
(24, 'image', 'Defaut', 'image_impairs', 'Eva/EVAplage_impair.png', 'left', 'bottom', 'repeat-x', 'scroll'),
(23, 'image', 'Defaut', 'image_ecran', 'Eva/EVAplage_page.png', 'left', 'top', 'repeat-x', 'fixed'),
(22, 'image', 'Defaut', 'image_pairs', 'Eva/EVAplage_pair.png', 'left', 'bottom', 'repeat-x', 'scroll'),
(21, 'image', 'Defaut', 'image_menu', 'Eva/EVAplage_menu.png', 'left', 'bottom', 'repeat-x', 'scroll'),
(20, 'image', 'Defaut', 'image_barre_auteur', 'Eva/EVAplage_liens.png', 'left', 'bottom', 'repeat-x', 'scroll'),
(19, 'image', 'Defaut', 'image_pied-logo', 'Eva/EVAplage_logo.png', 'left', 'bottom', 'repeat-x', 'scroll'),
(18, 'image', 'Defaut', 'image_pied', 'Eva/EVAplage_pied.png', 'left', 'top', 'repeat-x', 'scroll');

-- --------------------------------------------------------

-- 
-- Structure de la table `eva_habillage_themes`
-- 

CREATE TABLE IF NOT EXISTS `eva_habillage_themes` (
  `id` int(11) NOT NULL auto_increment,
  `nom` text NOT NULL,
  `fond_ecran` text NOT NULL,
  `fond_page` text NOT NULL,
  `fond_bloc` text NOT NULL,
  `fond_edito` text NOT NULL,
  `fond_titre_edito` text NOT NULL,
  `fond_entete_pages` text NOT NULL,
  `fond_barres_entete` text NOT NULL,
  `fond_barres_entete_arborescence` text NOT NULL,
  `fond_barres_entete_auteur` text NOT NULL,
  `fond_barres_entete_texte` text NOT NULL,
  `fond_titre_article` text NOT NULL,
  `fond_pied_pages` text NOT NULL,
  `fond_pied_logos` text NOT NULL,
  `fond_titres` text NOT NULL,
  `fond_menu_fond` text NOT NULL,
  `fond_menu_off` text NOT NULL,
  `fond_menu_on` text NOT NULL,
  `fond_liste_elements_impairs` text NOT NULL,
  `fond_liste_elements_pairs` text NOT NULL,
  `texte_police_type` text NOT NULL,
  `texte_principal` text NOT NULL,
  `texte_liste_paire` text NOT NULL,
  `texte_liste_impaire` text NOT NULL,
  `texte_entetes` text NOT NULL,
  `texte_surtitre` text NOT NULL,
  `texte_titre` text NOT NULL,
  `texte_soustitre` text NOT NULL,
  `texte_couleur_liens_menu` text NOT NULL,
  `texte_couleur_liens_menu_actif` text NOT NULL,
  `texte_couleur_liens_menu_survol` text NOT NULL,
  `texte_barres_entete` text NOT NULL,
  `texte_premiere_lettre_entete` text NOT NULL,
  `texte_edito` text NOT NULL,
  `texte_edito_titre` text NOT NULL,
  `texte_edito_titre_premier` text NOT NULL,
  `texte_entete_arborescence` text NOT NULL,
  `texte_auteur` text NOT NULL,
  `texte_pied` text NOT NULL,
  `lien_couleur_lien` text NOT NULL,
  `lien_couleur_lien_survol` text NOT NULL,
  `lien_couleur_lien_impair` text NOT NULL,
  `lien_couleur_lien_impair_survol` text NOT NULL,
  `lien_couleur_lien_pair` text NOT NULL,
  `lien_couleur_lien_pair_survol` text NOT NULL,
  `bordure_page` text NOT NULL,
  `bordure_largeur_page` text NOT NULL,
  `bordure_style_page` text NOT NULL,
  `bordure_couleur_bordure` text NOT NULL,
  `bordure_largeur_couleur_bordure` text NOT NULL,
  `bordure_style_couleur_bordure` text NOT NULL,
  `bordure_couleur_bordure_entete` text NOT NULL,
  `bordure_largeur_couleur_bordure_entete` text NOT NULL,
  `bordure_style_couleur_bordure_entete` text NOT NULL,
  `bordure_couleur_titre` text NOT NULL,
  `bordure_largeur_titre` text NOT NULL,
  `bordure_style_titre` text NOT NULL,
  `bordure_couleur_bordure_auteur` text NOT NULL,
  `bordure_largeur_couleur_bordure_auteur` text NOT NULL,
  `bordure_style_couleur_bordure_auteur` text NOT NULL,
  `bordure_couleur_bordure_edito` text NOT NULL,
  `bordure_largeur_couleur_bordure_edito` text NOT NULL,
  `bordure_style_couleur_bordure_edito` text NOT NULL,
  `bordure_couleur_bordure_pied` text NOT NULL,
  `bordure_largeur_couleur_bordure_pied` text NOT NULL,
  `bordure_style_couleur_bordure_pied` text NOT NULL,
  `bordure_couleur_bordure_menu` text NOT NULL,
  `bordure_largeur_couleur_bordure_menu` text NOT NULL,
  `bordure_style_couleur_bordure_menu` text NOT NULL,
  `bordure_couleur_bordure_menu_secteurs` text NOT NULL,
  `bordure_largeur_couleur_bordure_menu_secteurs` text NOT NULL,
  `bordure_style_couleur_bordure_menu_secteurs` text NOT NULL,
  `taille_largeur_page` text NOT NULL,
  `taille_largeur_menu` text NOT NULL,
  `taille_largeur_menudroite` text NOT NULL,
  `taille_largeur_contenu` text NOT NULL,
  `taille_hauteur_entete` text NOT NULL,
  `admin_deplacement_horizontal_bouton_admin` text NOT NULL,
  `admin_deplacement_vertical_bouton_admin` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

-- 
-- Contenu de la table `eva_habillage_themes`
-- 

INSERT INTO `eva_habillage_themes` (`id`, `nom`, `fond_ecran`, `fond_page`, `fond_bloc`, `fond_edito`, `fond_titre_edito`, `fond_entete_pages`, `fond_barres_entete`, `fond_barres_entete_arborescence`, `fond_barres_entete_auteur`, `fond_barres_entete_texte`, `fond_titre_article`, `fond_pied_pages`, `fond_pied_logos`, `fond_titres`, `fond_menu_fond`, `fond_menu_off`, `fond_menu_on`, `fond_liste_elements_impairs`, `fond_liste_elements_pairs`, `texte_police_type`, `texte_principal`, `texte_liste_paire`, `texte_liste_impaire`, `texte_entetes`, `texte_surtitre`, `texte_titre`, `texte_soustitre`, `texte_couleur_liens_menu`, `texte_couleur_liens_menu_actif`, `texte_couleur_liens_menu_survol`, `texte_barres_entete`, `texte_premiere_lettre_entete`, `texte_edito`, `texte_edito_titre`, `texte_edito_titre_premier`, `texte_entete_arborescence`, `texte_auteur`, `texte_pied`, `lien_couleur_lien`, `lien_couleur_lien_survol`, `lien_couleur_lien_impair`, `lien_couleur_lien_impair_survol`, `lien_couleur_lien_pair`, `lien_couleur_lien_pair_survol`, `bordure_page`, `bordure_largeur_page`, `bordure_style_page`, `bordure_couleur_bordure`, `bordure_largeur_couleur_bordure`, `bordure_style_couleur_bordure`, `bordure_couleur_bordure_entete`, `bordure_largeur_couleur_bordure_entete`, `bordure_style_couleur_bordure_entete`, `bordure_couleur_titre`, `bordure_largeur_titre`, `bordure_style_titre`, `bordure_couleur_bordure_auteur`, `bordure_largeur_couleur_bordure_auteur`, `bordure_style_couleur_bordure_auteur`, `bordure_couleur_bordure_edito`, `bordure_largeur_couleur_bordure_edito`, `bordure_style_couleur_bordure_edito`, `bordure_couleur_bordure_pied`, `bordure_largeur_couleur_bordure_pied`, `bordure_style_couleur_bordure_pied`, `bordure_couleur_bordure_menu`, `bordure_largeur_couleur_bordure_menu`, `bordure_style_couleur_bordure_menu`, `bordure_couleur_bordure_menu_secteurs`, `bordure_largeur_couleur_bordure_menu_secteurs`, `bordure_style_couleur_bordure_menu_secteurs`, `taille_largeur_page`, `taille_largeur_menu`, `taille_largeur_menudroite`, `taille_largeur_contenu`, `taille_hauteur_entete`, `admin_deplacement_horizontal_bouton_admin`, `admin_deplacement_vertical_bouton_admin`) VALUES 
(2, '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
(5, 'Defaut', '#f2faff', '#f2faff', '#f2faff', '#fffef2', '#fff7c0', '#ff7200', 'transparent', '#fff7c0', '#fff7c0', '#fff7c0', '#fff7c0', '#fff7c0', '#fff7c0', '#fff7c0', '#ffe095', '#cde3ff', '#fff', '#f2faff', '#fffbd7', '', '#000', '#000', '#000', '#ff7200', '#000', '#000', '#000', '#000', '#cc3300', '#cc3300', '#000', '#000', '#000', '#000', '#000', '#000', '#000', '#000', '#2593d8', '#cc3300', '#2593d8', '#cc3300', '#2593d8', '#cc3300', '#ff7200', '2px', '', '#ff7200', '', '', '#ff7200', '1px', '', '#ff7200', '2px', '', '#ff7200', '', '', '#ff7200', '', '', '#ff7200', '', '', '#ff7200', '2px', '', '#ff7200', '', '', '', '', '', '', '', '', '');

-- --------------------------------------------------------

-- 
-- Structure de la table `ext_compteurgraphique`
-- 

CREATE TABLE IF NOT EXISTS `ext_compteurgraphique` (
  `id_compteur` int(11) NOT NULL auto_increment,
  `decompte` int(11) default NULL,
  `id_article` int(11) default NULL,
  `id_rubrique` int(11) default NULL,
  `statut` int(11) default NULL,
  `longueur` int(11) default NULL,
  `habillage` int(11) default NULL,
  PRIMARY KEY  (`id_compteur`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Contenu de la table `ext_compteurgraphique`
-- 

INSERT INTO `ext_compteurgraphique` (`id_compteur`, `decompte`, `id_article`, `id_rubrique`, `statut`, `longueur`, `habillage`) VALUES 
(1, 0, NULL, NULL, 10, NULL, NULL);

-- --------------------------------------------------------

-- 
-- Structure de la table `spip_articles`
-- 

CREATE TABLE IF NOT EXISTS `spip_articles` (
  `id_article` bigint(21) NOT NULL auto_increment,
  `surtitre` text NOT NULL,
  `titre` text NOT NULL,
  `soustitre` text NOT NULL,
  `id_rubrique` bigint(21) NOT NULL default '0',
  `descriptif` text NOT NULL,
  `chapo` mediumtext NOT NULL,
  `texte` longblob NOT NULL,
  `ps` mediumtext NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `statut` varchar(10) NOT NULL default '0',
  `id_secteur` bigint(21) NOT NULL default '0',
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `export` varchar(10) default 'oui',
  `date_redac` datetime NOT NULL default '0000-00-00 00:00:00',
  `visites` int(11) NOT NULL default '0',
  `referers` int(11) NOT NULL default '0',
  `popularite` double NOT NULL default '0',
  `accepter_forum` char(3) NOT NULL,
  `date_modif` datetime NOT NULL default '0000-00-00 00:00:00',
  `lang` varchar(10) NOT NULL default '',
  `langue_choisie` varchar(3) default 'non',
  `id_trad` bigint(21) NOT NULL default '0',
  `extra` longblob,
  `idx` enum('','1','non','oui','idx') NOT NULL default '',
  `id_version` int(10) unsigned NOT NULL default '0',
  `nom_site` tinytext NOT NULL,
  `url_site` varchar(255) NOT NULL,
  `url_propre` varchar(255) NOT NULL,
  PRIMARY KEY  (`id_article`),
  KEY `id_rubrique` (`id_rubrique`),
  KEY `id_secteur` (`id_secteur`),
  KEY `id_trad` (`id_trad`),
  KEY `lang` (`lang`),
  KEY `statut` (`statut`,`date`),
  KEY `url_site` (`url_site`),
  KEY `date_modif` (`date_modif`),
  KEY `idx` (`idx`),
  KEY `url_propre` (`url_propre`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `spip_articles`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_auteurs`
-- 

CREATE TABLE IF NOT EXISTS `spip_auteurs` (
  `id_auteur` bigint(21) NOT NULL auto_increment,
  `nom` text NOT NULL,
  `bio` text NOT NULL,
  `email` tinytext NOT NULL,
  `nom_site` tinytext NOT NULL,
  `url_site` text NOT NULL,
  `login` varchar(255) character set latin1 collate latin1_bin NOT NULL,
  `pass` tinytext NOT NULL,
  `low_sec` tinytext NOT NULL,
  `statut` varchar(255) NOT NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `pgp` blob NOT NULL,
  `htpass` tinyblob NOT NULL,
  `en_ligne` datetime NOT NULL default '0000-00-00 00:00:00',
  `imessage` varchar(3) NOT NULL,
  `messagerie` varchar(3) NOT NULL,
  `alea_actuel` tinytext NOT NULL,
  `alea_futur` tinytext NOT NULL,
  `prefs` tinytext NOT NULL,
  `cookie_oubli` tinytext NOT NULL,
  `source` varchar(10) NOT NULL default 'spip',
  `lang` varchar(10) NOT NULL default '',
  `idx` enum('','1','non','oui','idx') NOT NULL default '',
  `url_propre` varchar(255) NOT NULL,
  `extra` longblob,
  PRIMARY KEY  (`id_auteur`),
  KEY `login` (`login`),
  KEY `statut` (`statut`),
  KEY `lang` (`lang`),
  KEY `idx` (`idx`),
  KEY `en_ligne` (`en_ligne`),
  KEY `url_propre` (`url_propre`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Contenu de la table `spip_auteurs`
-- 

INSERT INTO `spip_auteurs` (`id_auteur`, `nom`, `bio`, `email`, `nom_site`, `url_site`, `login`, `pass`, `low_sec`, `statut`, `maj`, `pgp`, `htpass`, `en_ligne`, `imessage`, `messagerie`, `alea_actuel`, `alea_futur`, `prefs`, `cookie_oubli`, `source`, `lang`, `idx`, `url_propre`, `extra`) VALUES 
(1, 'Administrateur d\'Eva', '', 'admin@%%domaine_messagerie_etab', '', '', 0x657661646d696e, 'baaa069f62ad7d3c8b5e451df50b2d23', '', '0minirezo', '2008-02-28 11:36:49', '', 0x2431246f774b6253586a54245530424430324b586552464935473759487736624631, '2008-02-28 11:36:49', '', '', '13035', '93560050147c6892ae63fa7.78950084', 'a:2:{s:3:"cnx";s:0:"";s:7:"options";s:8:"avancees";}', '', 'spip', '', 'oui', '', NULL);

-- --------------------------------------------------------

-- 
-- Structure de la table `spip_auteurs_articles`
-- 

CREATE TABLE IF NOT EXISTS `spip_auteurs_articles` (
  `id_auteur` bigint(21) NOT NULL default '0',
  `id_article` bigint(21) NOT NULL default '0',
  PRIMARY KEY  (`id_auteur`,`id_article`),
  KEY `id_article` (`id_article`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_auteurs_articles`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_auteurs_messages`
-- 

CREATE TABLE IF NOT EXISTS `spip_auteurs_messages` (
  `id_auteur` bigint(21) NOT NULL default '0',
  `id_message` bigint(21) NOT NULL default '0',
  `vu` char(3) NOT NULL,
  PRIMARY KEY  (`id_auteur`,`id_message`),
  KEY `id_message` (`id_message`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_auteurs_messages`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_auteurs_rubriques`
-- 

CREATE TABLE IF NOT EXISTS `spip_auteurs_rubriques` (
  `id_auteur` bigint(21) NOT NULL default '0',
  `id_rubrique` bigint(21) NOT NULL default '0',
  PRIMARY KEY  (`id_auteur`,`id_rubrique`),
  KEY `id_rubrique` (`id_rubrique`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_auteurs_rubriques`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_breves`
-- 

CREATE TABLE IF NOT EXISTS `spip_breves` (
  `id_breve` bigint(21) NOT NULL auto_increment,
  `date_heure` datetime NOT NULL default '0000-00-00 00:00:00',
  `titre` text NOT NULL,
  `texte` longblob NOT NULL,
  `lien_titre` text NOT NULL,
  `lien_url` text NOT NULL,
  `statut` varchar(6) NOT NULL,
  `id_rubrique` bigint(21) NOT NULL default '0',
  `lang` varchar(10) NOT NULL default '',
  `langue_choisie` varchar(3) default 'non',
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `idx` enum('','1','non','oui','idx') NOT NULL default '',
  `extra` longblob,
  `url_propre` varchar(255) NOT NULL,
  PRIMARY KEY  (`id_breve`),
  KEY `idx` (`idx`),
  KEY `id_rubrique` (`id_rubrique`),
  KEY `url_propre` (`url_propre`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `spip_breves`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_caches`
-- 

CREATE TABLE IF NOT EXISTS `spip_caches` (
  `fichier` char(64) NOT NULL,
  `id` char(64) NOT NULL,
  `type` char(1) NOT NULL default 'i',
  `taille` int(11) NOT NULL default '0',
  PRIMARY KEY  (`fichier`,`id`),
  KEY `fichier` (`fichier`),
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_caches`
-- 

INSERT INTO `spip_caches` (`fichier`, `id`, `type`, `taille`) VALUES 
('4/eva-spip%3Fpage%3Djquery.23b0b4f3.gz', '1204802923', 't', 12977),
('b/INDEX-.dccb9a9c.gz', '1204558124', 't', 6142),
('0/eva-.80299d68', '1204241826', 't', 6871),
('2/-inc_entete_meta-fr.eae5fd22', '1204202226', 't', 12582),
('1/INDEX-.2f9b1b4f', '1204202226', 't', 1286),
('9/INDEX-.fc5897ee', '1204202226', 't', 529),
('4/-mini_calendrier-fr.2164d611', '1204205826', 't', 4478),
('1/-inc_menu_podcast-fr.3652e89f', '1204202226', 't', 420),
('d/-inc_logos-fr.a54605db', '1204202226', 't', 399),
('0/-inc_logos_pied-fr.6bf2ec74', '1204202226', 't', 410),
('8/-inc_pied-fr.cb32c561', '1204202226', 't', 1611);

-- --------------------------------------------------------

-- 
-- Structure de la table `spip_documents`
-- 

CREATE TABLE IF NOT EXISTS `spip_documents` (
  `id_document` bigint(21) NOT NULL auto_increment,
  `id_vignette` bigint(21) NOT NULL default '0',
  `id_type` bigint(21) NOT NULL default '0',
  `titre` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `descriptif` text NOT NULL,
  `fichier` varchar(255) NOT NULL,
  `taille` int(11) NOT NULL,
  `largeur` int(11) NOT NULL,
  `hauteur` int(11) NOT NULL,
  `mode` enum('vignette','document') NOT NULL,
  `distant` varchar(3) default 'non',
  `idx` enum('','1','non','oui','idx') NOT NULL default '',
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id_document`),
  KEY `id_vignette` (`id_vignette`),
  KEY `mode` (`mode`),
  KEY `id_type` (`id_type`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `spip_documents`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_documents_articles`
-- 

CREATE TABLE IF NOT EXISTS `spip_documents_articles` (
  `id_document` bigint(21) NOT NULL default '0',
  `id_article` bigint(21) NOT NULL default '0',
  PRIMARY KEY  (`id_article`,`id_document`),
  KEY `id_document` (`id_document`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_documents_articles`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_documents_breves`
-- 

CREATE TABLE IF NOT EXISTS `spip_documents_breves` (
  `id_document` bigint(21) NOT NULL default '0',
  `id_breve` bigint(21) NOT NULL default '0',
  PRIMARY KEY  (`id_breve`,`id_document`),
  KEY `id_document` (`id_document`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_documents_breves`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_documents_rubriques`
-- 

CREATE TABLE IF NOT EXISTS `spip_documents_rubriques` (
  `id_document` bigint(21) NOT NULL default '0',
  `id_rubrique` bigint(21) NOT NULL default '0',
  PRIMARY KEY  (`id_rubrique`,`id_document`),
  KEY `id_document` (`id_document`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_documents_rubriques`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_forum`
-- 

CREATE TABLE IF NOT EXISTS `spip_forum` (
  `id_forum` bigint(21) NOT NULL auto_increment,
  `id_parent` bigint(21) NOT NULL default '0',
  `id_thread` bigint(21) NOT NULL default '0',
  `id_rubrique` bigint(21) NOT NULL default '0',
  `id_article` bigint(21) NOT NULL default '0',
  `id_breve` bigint(21) NOT NULL default '0',
  `date_heure` datetime NOT NULL default '0000-00-00 00:00:00',
  `titre` text NOT NULL,
  `texte` mediumtext NOT NULL,
  `auteur` text NOT NULL,
  `email_auteur` text NOT NULL,
  `nom_site` text NOT NULL,
  `url_site` text NOT NULL,
  `statut` varchar(8) NOT NULL,
  `idx` enum('','1','non','oui','idx') NOT NULL default '',
  `ip` varchar(16) default NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `id_auteur` bigint(20) NOT NULL default '0',
  `id_message` bigint(21) NOT NULL default '0',
  `id_syndic` bigint(21) NOT NULL default '0',
  PRIMARY KEY  (`id_forum`),
  KEY `id_parent` (`id_parent`),
  KEY `id_article` (`id_article`),
  KEY `id_breve` (`id_breve`),
  KEY `id_message` (`id_message`),
  KEY `id_syndic` (`id_syndic`),
  KEY `id_rubrique` (`id_rubrique`),
  KEY `idx` (`idx`),
  KEY `statut` (`statut`,`date_heure`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `spip_forum`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_groupes_mots`
-- 

CREATE TABLE IF NOT EXISTS `spip_groupes_mots` (
  `id_groupe` bigint(21) NOT NULL auto_increment,
  `titre` text NOT NULL,
  `descriptif` text NOT NULL,
  `texte` longblob NOT NULL,
  `unseul` varchar(3) NOT NULL,
  `obligatoire` varchar(3) NOT NULL,
  `articles` varchar(3) NOT NULL,
  `breves` varchar(3) NOT NULL,
  `rubriques` varchar(3) NOT NULL,
  `syndic` varchar(3) NOT NULL,
  `minirezo` varchar(3) NOT NULL,
  `comite` varchar(3) NOT NULL,
  `forum` varchar(3) NOT NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id_groupe`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `spip_groupes_mots`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_index`
-- 

CREATE TABLE IF NOT EXISTS `spip_index` (
  `hash` bigint(20) unsigned NOT NULL,
  `points` int(10) unsigned NOT NULL default '0',
  `id_objet` int(10) unsigned NOT NULL,
  `id_table` tinyint(3) unsigned NOT NULL,
  KEY `hash` (`hash`),
  KEY `id_objet` (`id_objet`),
  KEY `id_table` (`id_table`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_index`
-- 

-- --------------------------------------------------------

-- 
-- Structure de la table `spip_index_dico`
-- 

CREATE TABLE IF NOT EXISTS `spip_index_dico` (
  `hash` bigint(20) unsigned NOT NULL,
  `dico` varchar(30) NOT NULL,
  PRIMARY KEY  (`dico`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_index_dico`
-- 

-- --------------------------------------------------------

-- 
-- Structure de la table `spip_messages`
-- 

CREATE TABLE IF NOT EXISTS `spip_messages` (
  `id_message` bigint(21) NOT NULL auto_increment,
  `titre` text NOT NULL,
  `texte` longblob NOT NULL,
  `type` varchar(6) NOT NULL,
  `date_heure` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_fin` datetime NOT NULL default '0000-00-00 00:00:00',
  `rv` varchar(3) NOT NULL,
  `statut` varchar(6) NOT NULL,
  `id_auteur` bigint(21) NOT NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id_message`),
  KEY `id_auteur` (`id_auteur`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `spip_messages`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_meta`
-- 

CREATE TABLE IF NOT EXISTS `spip_meta` (
  `nom` varchar(255) NOT NULL,
  `valeur` text,
  `impt` enum('non','oui') NOT NULL default 'oui',
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`nom`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_meta`
-- 

INSERT INTO `spip_meta` (`nom`, `valeur`, `impt`, `maj`) VALUES 
('version_installee', '1.927', 'oui', '2008-02-28 10:49:14'),
('langues_utilisees', 'fr', 'oui', '2008-02-28 10:53:48'),
('ldap_statut_import', '1comite', 'oui', '2008-02-28 10:53:14'),
('charset', 'utf-8', 'oui', '2008-02-28 10:53:48'),
('email_webmaster', 'admin@%%domaine_messagerie_etab', 'oui', '2008-02-28 10:53:48'),
('nom_site', "%%libelle_etab", 'oui', '2008-02-28 10:53:48'),
('descriptif_site', '', 'oui', '2008-02-28 10:53:48'),
('activer_breves', 'oui', 'oui', '2008-02-28 10:53:48'),
('config_precise_groupes', 'non', 'oui', '2008-02-28 10:53:48'),
('mots_cles_forums', 'non', 'oui', '2008-02-28 10:53:48'),
('articles_surtitre', 'oui', 'oui', '2008-02-28 10:53:48'),
('articles_soustitre', 'oui', 'oui', '2008-02-28 10:53:48'),
('articles_descriptif', 'oui', 'oui', '2008-02-28 10:53:48'),
('articles_chapeau', 'oui', 'oui', '2008-02-28 10:53:48'),
('articles_ps', 'oui', 'oui', '2008-02-28 10:53:48'),
('articles_redac', 'non', 'oui', '2008-02-28 10:53:48'),
('articles_mots', 'oui', 'oui', '2008-02-28 10:53:48'),
('post_dates', 'oui', 'oui', '2008-02-28 10:53:48'),
('articles_urlref', 'non', 'oui', '2008-02-28 10:53:48'),
('creer_preview', 'non', 'oui', '2008-02-28 10:53:48'),
('taille_preview', '150', 'oui', '2008-02-28 10:53:48'),
('articles_modif', 'non', 'oui', '2008-02-28 10:53:48'),
('activer_sites', 'oui', 'oui', '2008-02-28 10:53:48'),
('proposer_sites', '0', 'oui', '2008-02-28 10:53:48'),
('activer_syndic', 'oui', 'oui', '2008-02-28 10:53:48'),
('visiter_sites', 'non', 'oui', '2008-02-28 10:53:48'),
('moderation_sites', 'non', 'oui', '2008-02-28 10:53:48'),
('forums_publics', 'posteriori', 'oui', '2008-02-28 10:53:48'),
('accepter_inscriptions', 'non', 'oui', '2008-02-28 10:53:48'),
('accepter_visiteurs', 'non', 'oui', '2008-02-28 10:53:48'),
('prevenir_auteurs', 'non', 'oui', '2008-02-28 10:53:48'),
('suivi_edito', 'non', 'oui', '2008-02-28 10:53:48'),
('quoi_de_neuf', 'non', 'oui', '2008-02-28 10:53:48'),
('forum_prive_admin', 'non', 'oui', '2008-02-28 10:53:48'),
('activer_moteur', 'oui', 'oui', '2008-02-28 10:53:48'),
('articles_versions', 'non', 'oui', '2008-02-28 10:53:48'),
('articles_ortho', 'non', 'oui', '2008-02-28 10:53:48'),
('preview', 'non', 'oui', '2008-02-28 10:53:48'),
('activer_statistiques', 'oui', 'oui', '2008-02-28 10:53:48'),
('documents_article', 'oui', 'oui', '2008-02-28 10:53:48'),
('documents_rubrique', 'non', 'oui', '2008-02-28 10:53:48'),
('syndication_integrale', 'oui', 'oui', '2008-02-28 10:53:48'),
('creer_htpasswd', 'non', 'oui', '2008-02-28 10:53:48'),
('creer_htaccess', 'non', 'oui', '2008-02-28 10:53:48'),
('langue_site', 'fr', 'oui', '2008-02-28 10:53:48'),
('multi_articles', 'non', 'oui', '2008-02-28 10:53:48'),
('multi_rubriques', 'non', 'oui', '2008-02-28 10:53:48'),
('multi_secteurs', 'non', 'oui', '2008-02-28 10:53:48'),
('gerer_trad', 'non', 'oui', '2008-02-28 10:53:48'),
('langues_multilingue', 'ar,bg,br,bs,ca,cpf,cpf_hat,cs,da,de,en,eo,es,eu,fa,fon,fr,gl,hu,id,it,it_fem,ja,lb,nl,oc_auv,oc_gsc,oc_lms,oc_lnc,oc_ni,oc_ni_la,oc_prv,oc_va,pl,pt,pt_br,ro,ru,tr,vi,zh', 'oui', '2008-02-28 10:53:48'),
('alea_ephemere_ancien', '', 'non', '2008-02-28 10:53:52'),
('alea_ephemere', '6ddc260089df8548e94f68ca63e94914', 'non', '2008-02-28 10:53:52'),
('alea_ephemere_date', '1204192432', 'non', '2008-02-28 10:53:52'),
('langues_proposees', 'ar,bg,br,bs,ca,cpf,cpf_hat,cs,da,de,en,eo,es,eu,fa,fon,fr,gl,hu,id,it,it_fem,ja,lb,nl,oc_auv,oc_gsc,oc_lms,oc_lnc,oc_ni,oc_ni_la,oc_prv,oc_va,pl,pt,pt_br,ro,ru,tr,vi,zh', 'oui', '2008-02-28 10:53:52'),
('INDEX_elements_objet', 'a:10:{s:13:"spip_articles";a:9:{s:5:"titre";i:8;s:9:"soustitre";i:5;s:8:"surtitre";i:5;s:10:"descriptif";i:4;s:5:"chapo";i:3;s:5:"texte";i:1;s:2:"ps";i:1;s:8:"nom_site";i:1;s:22:"extra|unserialize_join";i:1;}s:11:"spip_breves";a:3:{s:5:"titre";i:8;s:5:"texte";i:2;s:22:"extra|unserialize_join";i:1;}s:14:"spip_rubriques";a:4:{s:5:"titre";i:8;s:10:"descriptif";i:5;s:5:"texte";i:1;s:22:"extra|unserialize_join";i:1;}s:12:"spip_auteurs";a:3:{s:3:"nom";a:2:{i:0;i:5;i:1;i:2;}s:3:"bio";i:1;s:22:"extra|unserialize_join";i:1;}s:9:"spip_mots";a:4:{s:5:"titre";i:8;s:10:"descriptif";i:5;s:5:"texte";i:1;s:22:"extra|unserialize_join";i:1;}s:15:"spip_signatures";a:5:{s:9:"nom_email";a:2:{i:0;i:2;i:1;i:2;}s:8:"ad_email";i:2;s:8:"nom_site";i:2;s:8:"url_site";i:1;s:7:"message";i:1;}s:11:"spip_syndic";a:3:{s:8:"nom_site";i:50;s:10:"descriptif";i:30;s:29:"url_site|contenu_page_accueil";i:1;}s:20:"spip_syndic_articles";a:1:{s:5:"titre";i:5;}s:10:"spip_forum";a:6:{s:5:"titre";i:3;s:5:"texte";i:2;s:6:"auteur";a:2:{i:0;i:2;i:1;i:2;}s:12:"email_auteur";i:2;s:8:"nom_site";i:2;s:8:"url_site";i:1;}s:14:"spip_documents";a:3:{s:5:"titre";i:20;s:10:"descriptif";i:10;s:27:"fichier|nettoie_nom_fichier";i:1;}}', 'oui', '2008-02-28 10:53:52'),
('INDEX_objet_associes', 'a:4:{s:13:"spip_articles";a:3:{s:14:"spip_documents";i:1;s:12:"spip_auteurs";i:10;s:9:"spip_mots";i:3;}s:11:"spip_breves";a:2:{s:14:"spip_documents";i:1;s:9:"spip_mots";i:3;}s:14:"spip_rubriques";a:2:{s:14:"spip_documents";i:1;s:9:"spip_mots";i:3;}s:14:"spip_documents";a:1:{s:9:"spip_mots";i:3;}}', 'oui', '2008-02-28 10:53:52'),
('INDEX_elements_associes', 'a:3:{s:14:"spip_documents";a:2:{s:5:"titre";i:2;s:10:"descriptif";i:1;}s:12:"spip_auteurs";a:1:{s:3:"nom";i:1;}s:9:"spip_mots";a:2:{s:5:"titre";i:4;s:10:"descriptif";i:1;}}', 'oui', '2008-02-28 10:53:52'),
('INDEX_critere_indexation', 'a:6:{s:13:"spip_articles";s:15:"statut=''publie''";s:11:"spip_breves";s:15:"statut=''publie''";s:14:"spip_rubriques";s:15:"statut=''publie''";s:11:"spip_syndic";s:15:"statut=''publie''";s:10:"spip_forum";s:15:"statut=''publie''";s:15:"spip_signatures";s:15:"statut=''publie''";}', 'oui', '2008-02-28 10:53:52'),
('INDEX_critere_optimisation', 'a:6:{s:13:"spip_articles";s:16:"statut<>''publie''";s:11:"spip_breves";s:16:"statut<>''publie''";s:14:"spip_rubriques";s:16:"statut<>''publie''";s:11:"spip_syndic";s:16:"statut<>''publie''";s:10:"spip_forum";s:16:"statut<>''publie''";s:15:"spip_signatures";s:16:"statut<>''publie''";}', 'oui', '2008-02-28 10:53:52'),
('INDEX_iteration_nb_maxi', 'a:2:{s:14:"spip_documents";i:10;s:11:"spip_syndic";i:1;}', 'oui', '2008-02-28 10:53:52'),
('index_table', 'a:9:{i:1;s:13:"spip_articles";i:2;s:12:"spip_auteurs";i:3;s:11:"spip_breves";i:4;s:14:"spip_documents";i:5;s:10:"spip_forum";i:6;s:9:"spip_mots";i:7;s:14:"spip_rubriques";i:8;s:15:"spip_signatures";i:9;s:11:"spip_syndic";}', 'oui', '2008-02-28 10:53:52'),
('adresse_site', 'http://%%adresse_ip_eth0/eva', 'non', '2008-02-28 11:18:58'),
('date_calcul_rubriques', '1204193939', 'oui', '2008-02-28 11:18:59'),
('gd_formats_read', 'gif,jpg,png', 'oui', '2008-02-28 11:19:12'),
('gd_formats', 'gif,jpg,png', 'oui', '2008-02-28 11:19:12'),
('netpbm_formats', 'jpg,gif,png', 'oui', '2008-02-28 11:19:13'),
('derniere_modif', '1204193953', 'oui', '2008-02-28 11:19:13'),
('date_popularites', '1204193978', 'oui', '2008-02-28 11:19:38'),
('optimiser_table', '1', 'oui', '2008-02-28 11:20:47'),
('plugin', 'a:7:{s:13:"EVA_HABILLAGE";a:2:{s:3:"dir";s:18:"auto/EVA_Habillage";s:7:"version";s:3:"1.0";}s:17:"COMPTEURGRAPHIQUE";a:2:{s:3:"dir";s:23:"auto/compteur_graphique";s:7:"version";s:3:"0.3";}s:13:"EVASQUELETTES";a:2:{s:3:"dir";s:14:"auto/eva-web30";s:7:"version";s:3:"1.0";}s:10:"EVA_AGENDA";a:2:{s:3:"dir";s:15:"auto/eva_agenda";s:7:"version";s:3:"1.0";}s:14:"EVA_CALENDRIER";a:2:{s:3:"dir";s:19:"auto/eva_calendrier";s:7:"version";s:3:"1.0";}s:12:"EVA_MENTIONS";a:2:{s:3:"dir";s:17:"auto/eva_mentions";s:7:"version";s:3:"0.4";}s:15:"MINI_CALENDRIER";a:2:{s:3:"dir";s:24:"auto/eva_mini_calendrier";s:7:"version";s:3:"1.0";}}', 'oui', '2008-02-28 11:23:53'),
('plugin_header', 'eva_habillage(1.0),compteurgraphique(0.3),evasquelettes(1.0),eva_agenda(1.0),eva_calendrier(1.0),eva_mentions(0.4),mini_calendrier(1.0)', 'oui', '2008-02-28 11:23:53'),
('plugin_installes', 'a:1:{i:0;s:23:"auto/compteur_graphique";}', 'non', '2008-02-28 11:23:53');

-- --------------------------------------------------------

-- 
-- Structure de la table `spip_mots`
-- 

CREATE TABLE IF NOT EXISTS `spip_mots` (
  `id_mot` bigint(21) NOT NULL auto_increment,
  `titre` text NOT NULL,
  `descriptif` text NOT NULL,
  `texte` longblob NOT NULL,
  `id_groupe` bigint(21) NOT NULL,
  `type` text NOT NULL,
  `extra` longblob,
  `idx` enum('','1','non','oui','idx') NOT NULL default '',
  `url_propre` varchar(255) NOT NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id_mot`),
  KEY `idx` (`idx`),
  KEY `url_propre` (`url_propre`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `spip_mots`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_mots_articles`
-- 

CREATE TABLE IF NOT EXISTS `spip_mots_articles` (
  `id_mot` bigint(21) NOT NULL default '0',
  `id_article` bigint(21) NOT NULL default '0',
  PRIMARY KEY  (`id_article`,`id_mot`),
  KEY `id_mot` (`id_mot`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_mots_articles`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_mots_breves`
-- 

CREATE TABLE IF NOT EXISTS `spip_mots_breves` (
  `id_mot` bigint(21) NOT NULL default '0',
  `id_breve` bigint(21) NOT NULL default '0',
  PRIMARY KEY  (`id_breve`,`id_mot`),
  KEY `id_mot` (`id_mot`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_mots_breves`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_mots_documents`
-- 

CREATE TABLE IF NOT EXISTS `spip_mots_documents` (
  `id_mot` bigint(21) NOT NULL default '0',
  `id_document` bigint(21) NOT NULL default '0',
  PRIMARY KEY  (`id_document`,`id_mot`),
  KEY `id_mot` (`id_mot`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_mots_documents`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_mots_forum`
-- 

CREATE TABLE IF NOT EXISTS `spip_mots_forum` (
  `id_mot` bigint(21) NOT NULL default '0',
  `id_forum` bigint(21) NOT NULL default '0',
  PRIMARY KEY  (`id_forum`,`id_mot`),
  KEY `id_mot` (`id_mot`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_mots_forum`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_mots_rubriques`
-- 

CREATE TABLE IF NOT EXISTS `spip_mots_rubriques` (
  `id_mot` bigint(21) NOT NULL default '0',
  `id_rubrique` bigint(21) NOT NULL default '0',
  PRIMARY KEY  (`id_rubrique`,`id_mot`),
  KEY `id_mot` (`id_mot`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_mots_rubriques`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_mots_syndic`
-- 

CREATE TABLE IF NOT EXISTS `spip_mots_syndic` (
  `id_mot` bigint(21) NOT NULL default '0',
  `id_syndic` bigint(21) NOT NULL default '0',
  PRIMARY KEY  (`id_syndic`,`id_mot`),
  KEY `id_mot` (`id_mot`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_mots_syndic`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_ortho_cache`
-- 

CREATE TABLE IF NOT EXISTS `spip_ortho_cache` (
  `lang` varchar(10) NOT NULL,
  `mot` varchar(255) character set latin1 collate latin1_bin NOT NULL,
  `ok` tinyint(4) NOT NULL,
  `suggest` blob NOT NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`lang`,`mot`),
  KEY `maj` (`maj`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_ortho_cache`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_ortho_dico`
-- 

CREATE TABLE IF NOT EXISTS `spip_ortho_dico` (
  `lang` varchar(10) NOT NULL,
  `mot` varchar(255) character set latin1 collate latin1_bin NOT NULL,
  `id_auteur` bigint(20) unsigned NOT NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`lang`,`mot`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_ortho_dico`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_petitions`
-- 

CREATE TABLE IF NOT EXISTS `spip_petitions` (
  `id_article` bigint(21) NOT NULL default '0',
  `email_unique` char(3) NOT NULL,
  `site_obli` char(3) NOT NULL,
  `site_unique` char(3) NOT NULL,
  `message` char(3) NOT NULL,
  `texte` longblob NOT NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id_article`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_petitions`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_referers`
-- 

CREATE TABLE IF NOT EXISTS `spip_referers` (
  `referer_md5` bigint(20) unsigned NOT NULL,
  `date` date NOT NULL,
  `referer` varchar(255) NOT NULL,
  `visites` int(10) unsigned NOT NULL,
  `visites_jour` int(10) unsigned NOT NULL,
  `visites_veille` int(10) unsigned NOT NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`referer_md5`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_referers`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_referers_articles`
-- 

CREATE TABLE IF NOT EXISTS `spip_referers_articles` (
  `id_article` int(10) unsigned NOT NULL,
  `referer_md5` bigint(20) unsigned NOT NULL,
  `date` date NOT NULL,
  `referer` varchar(255) NOT NULL,
  `visites` int(10) unsigned NOT NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id_article`,`referer_md5`),
  KEY `referer_md5` (`referer_md5`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_referers_articles`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_rubriques`
-- 

CREATE TABLE IF NOT EXISTS `spip_rubriques` (
  `id_rubrique` bigint(21) NOT NULL auto_increment,
  `id_parent` bigint(21) NOT NULL default '0',
  `titre` text NOT NULL,
  `descriptif` text NOT NULL,
  `texte` longblob NOT NULL,
  `id_secteur` bigint(21) NOT NULL default '0',
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `export` varchar(10) default 'oui',
  `id_import` bigint(20) default '0',
  `statut` varchar(10) NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `lang` varchar(10) NOT NULL default '',
  `langue_choisie` varchar(3) default 'non',
  `idx` enum('','1','non','oui','idx') NOT NULL default '',
  `extra` longblob,
  `url_propre` varchar(255) NOT NULL,
  `statut_tmp` varchar(10) NOT NULL,
  `date_tmp` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id_rubrique`),
  KEY `lang` (`lang`),
  KEY `idx` (`idx`),
  KEY `id_parent` (`id_parent`),
  KEY `url_propre` (`url_propre`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `spip_rubriques`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_signatures`
-- 

CREATE TABLE IF NOT EXISTS `spip_signatures` (
  `id_signature` bigint(21) NOT NULL auto_increment,
  `id_article` bigint(21) NOT NULL default '0',
  `date_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `nom_email` text NOT NULL,
  `ad_email` text NOT NULL,
  `nom_site` text NOT NULL,
  `url_site` text NOT NULL,
  `message` mediumtext NOT NULL,
  `statut` varchar(10) NOT NULL,
  `idx` enum('','1','non','oui','idx') NOT NULL default '',
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id_signature`),
  KEY `id_article` (`id_article`),
  KEY `idx` (`idx`),
  KEY `statut` (`statut`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `spip_signatures`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_syndic`
-- 

CREATE TABLE IF NOT EXISTS `spip_syndic` (
  `id_syndic` bigint(21) NOT NULL auto_increment,
  `id_rubrique` bigint(21) NOT NULL default '0',
  `id_secteur` bigint(21) NOT NULL default '0',
  `nom_site` blob NOT NULL,
  `url_site` blob NOT NULL,
  `url_syndic` blob NOT NULL,
  `descriptif` blob NOT NULL,
  `url_propre` varchar(255) NOT NULL,
  `idx` enum('','1','non','oui','idx') NOT NULL default '',
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `syndication` varchar(3) NOT NULL,
  `statut` varchar(10) NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_syndic` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_index` datetime NOT NULL default '0000-00-00 00:00:00',
  `extra` longblob,
  `moderation` varchar(3) default 'non',
  `miroir` varchar(3) default 'non',
  `oubli` varchar(3) default 'non',
  `resume` varchar(3) default 'oui',
  PRIMARY KEY  (`id_syndic`),
  KEY `id_rubrique` (`id_rubrique`),
  KEY `id_secteur` (`id_secteur`),
  KEY `idx` (`idx`),
  KEY `statut` (`statut`,`date_syndic`),
  KEY `url_propre` (`url_propre`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `spip_syndic`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_syndic_articles`
-- 

CREATE TABLE IF NOT EXISTS `spip_syndic_articles` (
  `id_syndic_article` bigint(21) NOT NULL auto_increment,
  `id_syndic` bigint(21) NOT NULL default '0',
  `titre` text NOT NULL,
  `url` varchar(255) NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `lesauteurs` text NOT NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `statut` varchar(10) NOT NULL,
  `descriptif` blob NOT NULL,
  `lang` varchar(10) NOT NULL default '',
  `url_source` tinytext NOT NULL,
  `source` tinytext NOT NULL,
  `tags` text NOT NULL,
  PRIMARY KEY  (`id_syndic_article`),
  KEY `id_syndic` (`id_syndic`),
  KEY `statut` (`statut`),
  KEY `url` (`url`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `spip_syndic_articles`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_types_documents`
-- 

CREATE TABLE IF NOT EXISTS `spip_types_documents` (
  `id_type` bigint(21) NOT NULL auto_increment,
  `titre` text NOT NULL,
  `descriptif` text NOT NULL,
  `extension` varchar(10) NOT NULL,
  `mime_type` varchar(100) NOT NULL,
  `inclus` enum('non','image','embed') NOT NULL default 'non',
  `upload` enum('oui','non') NOT NULL default 'oui',
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id_type`),
  UNIQUE KEY `extension` (`extension`),
  KEY `inclus` (`inclus`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=81 ;

-- 
-- Contenu de la table `spip_types_documents`
-- 

INSERT INTO `spip_types_documents` (`id_type`, `titre`, `descriptif`, `extension`, `mime_type`, `inclus`, `upload`, `maj`) VALUES 
(1, 'JPG', '', 'jpg', 'image/jpeg', 'image', 'oui', '2008-02-28 10:49:14'),
(2, 'PNG', '', 'png', 'image/png', 'image', 'oui', '2008-02-28 10:49:14'),
(3, 'GIF', '', 'gif', 'image/gif', 'image', 'oui', '2008-02-28 10:49:14'),
(4, 'BMP', '', 'bmp', 'image/x-ms-bmp', 'image', 'oui', '2008-02-28 10:49:14'),
(5, 'TIFF', '', 'tif', 'image/tiff', 'image', 'oui', '2008-02-28 10:49:14'),
(6, 'AIFF', '', 'aiff', 'audio/x-aiff', 'embed', 'oui', '2008-02-28 10:49:14'),
(7, 'Windows Media', '', 'asf', 'video/x-ms-asf', 'embed', 'oui', '2008-02-28 10:49:14'),
(8, 'AVI', '', 'avi', 'video/x-msvideo', 'embed', 'oui', '2008-02-28 10:49:14'),
(9, 'Flash Video', '', 'flv', 'video/x-flv', 'embed', 'oui', '2008-02-28 10:49:14'),
(10, 'Midi', '', 'mid', 'audio/midi', 'embed', 'oui', '2008-02-28 10:49:14'),
(11, 'MNG', '', 'mng', 'video/x-mng', 'embed', 'oui', '2008-02-28 10:49:14'),
(12, 'Matroska Audio', '', 'mka', 'audio/mka', 'embed', 'oui', '2008-02-28 10:49:14'),
(13, 'Matroska Video', '', 'mkv', 'video/mkv', 'embed', 'oui', '2008-02-28 10:49:14'),
(14, 'QuickTime', '', 'mov', 'video/quicktime', 'embed', 'oui', '2008-02-28 10:49:14'),
(15, 'MP3', '', 'mp3', 'audio/mpeg', 'embed', 'oui', '2008-02-28 10:49:14'),
(16, 'MPEG4', '', 'mp4', 'application/mp4', 'embed', 'oui', '2008-02-28 10:49:14'),
(17, 'MPEG', '', 'mpg', 'video/mpeg', 'embed', 'oui', '2008-02-28 10:49:14'),
(18, 'Ogg', '', 'ogg', 'application/ogg', 'embed', 'oui', '2008-02-28 10:49:14'),
(19, 'QuickTime', '', 'qt', 'video/quicktime', 'embed', 'oui', '2008-02-28 10:49:14'),
(20, 'RealAudio', '', 'ra', 'audio/x-pn-realaudio', 'embed', 'oui', '2008-02-28 10:49:14'),
(21, 'RealAudio', '', 'ram', 'audio/x-pn-realaudio', 'embed', 'oui', '2008-02-28 10:49:14'),
(22, 'RealAudio', '', 'rm', 'audio/x-pn-realaudio', 'embed', 'oui', '2008-02-28 10:49:14'),
(23, 'Scalable Vector Graphics', '', 'svg', 'image/svg+xml', 'embed', 'oui', '2008-02-28 10:49:14'),
(24, 'Flash', '', 'swf', 'application/x-shockwave-flash', 'embed', 'oui', '2008-02-28 10:49:14'),
(25, 'WAV', '', 'wav', 'audio/x-wav', 'embed', 'oui', '2008-02-28 10:49:14'),
(26, 'Windows Media', '', 'wmv', 'video/x-ms-wmv', 'embed', 'oui', '2008-02-28 10:49:14'),
(27, 'Abiword', '', 'abw', 'application/abiword', 'non', 'oui', '2008-02-28 10:49:14'),
(28, 'Adobe Illustrator', '', 'ai', 'application/illustrator', 'non', 'oui', '2008-02-28 10:49:14'),
(29, 'BZip', '', 'bz2', 'application/x-bzip2', 'non', 'oui', '2008-02-28 10:49:14'),
(30, 'Binary Data', '', 'bin', 'application/octet-stream', 'non', 'oui', '2008-02-28 10:49:14'),
(31, 'Blender', '', 'blend', 'application/x-blender', 'non', 'oui', '2008-02-28 10:49:14'),
(32, 'C source', '', 'c', 'text/x-csrc', 'non', 'oui', '2008-02-28 10:49:14'),
(33, 'Cascading Style Sheet', '', 'css', 'text/css', 'non', 'oui', '2008-02-28 10:49:14'),
(34, 'Comma Separated Values', '', 'csv', 'text/csv', 'non', 'oui', '2008-02-28 10:49:14'),
(35, 'Debian', '', 'deb', 'application/x-debian-package', 'non', 'oui', '2008-02-28 10:49:14'),
(36, 'Word', '', 'doc', 'application/msword', 'non', 'oui', '2008-02-28 10:49:14'),
(37, 'DjVu', '', 'djvu', 'image/vnd.djvu', 'non', 'oui', '2008-02-28 10:49:14'),
(38, 'LaTeX DVI', '', 'dvi', 'application/x-dvi', 'non', 'oui', '2008-02-28 10:49:14'),
(39, 'PostScript', '', 'eps', 'application/postscript', 'non', 'oui', '2008-02-28 10:49:14'),
(40, 'GZ', '', 'gz', 'application/x-gzip', 'non', 'oui', '2008-02-28 10:49:14'),
(41, 'C header', '', 'h', 'text/x-chdr', 'non', 'oui', '2008-02-28 10:49:14'),
(42, 'HTML', '', 'html', 'text/html', 'non', 'oui', '2008-02-28 10:49:14'),
(43, 'Keyhole Markup Language', '', 'kml', 'application/vnd.google-earth.kml+xml', 'non', 'oui', '2008-02-28 10:49:14'),
(44, 'Google Earth Placemark File', '', 'kmz', 'application/vnd.google-earth.kmz', 'non', 'oui', '2008-02-28 10:49:14'),
(45, 'Pascal', '', 'pas', 'text/x-pascal', 'non', 'oui', '2008-02-28 10:49:14'),
(46, 'PDF', '', 'pdf', 'application/pdf', 'non', 'oui', '2008-02-28 10:49:14'),
(47, 'Portable Game Notation', '', 'pgn', 'application/x-chess-pgn', 'non', 'oui', '2008-02-28 10:49:14'),
(48, 'PowerPoint', '', 'ppt', 'application/vnd.ms-powerpoint', 'non', 'oui', '2008-02-28 10:49:14'),
(49, 'PostScript', '', 'ps', 'application/postscript', 'non', 'oui', '2008-02-28 10:49:14'),
(50, 'Photoshop', '', 'psd', 'image/x-photoshop', 'non', 'oui', '2008-02-28 10:49:14'),
(51, 'RedHat/Mandrake/SuSE', '', 'rpm', 'application/x-redhat-package-manager', 'non', 'oui', '2008-02-28 10:49:14'),
(52, 'RTF', '', 'rtf', 'application/rtf', 'non', 'oui', '2008-02-28 10:49:14'),
(53, 'StarOffice', '', 'sdd', 'application/vnd.stardivision.impress', 'non', 'oui', '2008-02-28 10:49:14'),
(54, 'StarOffice', '', 'sdw', 'application/vnd.stardivision.writer', 'non', 'oui', '2008-02-28 10:49:14'),
(55, 'Stuffit', '', 'sit', 'application/x-stuffit', 'non', 'oui', '2008-02-28 10:49:14'),
(56, 'OpenOffice Calc', '', 'sxc', 'application/vnd.sun.xml.calc', 'non', 'oui', '2008-02-28 10:49:14'),
(57, 'OpenOffice Impress', '', 'sxi', 'application/vnd.sun.xml.impress', 'non', 'oui', '2008-02-28 10:49:14'),
(58, 'OpenOffice', '', 'sxw', 'application/vnd.sun.xml.writer', 'non', 'oui', '2008-02-28 10:49:14'),
(59, 'LaTeX', '', 'tex', 'text/x-tex', 'non', 'oui', '2008-02-28 10:49:14'),
(60, 'TGZ', '', 'tgz', 'application/x-gtar', 'non', 'oui', '2008-02-28 10:49:14'),
(61, 'BitTorrent', '', 'torrent', 'application/x-bittorrent', 'non', 'oui', '2008-02-28 10:49:14'),
(62, 'TTF Font', '', 'ttf', 'application/x-font-ttf', 'non', 'oui', '2008-02-28 10:49:14'),
(63, 'texte', '', 'txt', 'text/plain', 'non', 'oui', '2008-02-28 10:49:14'),
(64, 'GIMP multi-layer', '', 'xcf', 'application/x-xcf', 'non', 'oui', '2008-02-28 10:49:14'),
(65, 'Excel', '', 'xls', 'application/vnd.ms-excel', 'non', 'oui', '2008-02-28 10:49:14'),
(66, 'XML', '', 'xml', 'application/xml', 'non', 'oui', '2008-02-28 10:49:14'),
(67, 'Zip', '', 'zip', 'application/zip', 'non', 'oui', '2008-02-28 10:49:14'),
(68, 'opendocument text', '', 'odt', 'application/vnd.oasis.opendocument.text', 'non', 'oui', '2008-02-28 10:49:14'),
(69, 'opendocument spreadsheet', '', 'ods', 'application/vnd.oasis.opendocument.spreadsheet', 'non', 'oui', '2008-02-28 10:49:14'),
(70, 'opendocument presentation', '', 'odp', 'application/vnd.oasis.opendocument.presentation', 'non', 'oui', '2008-02-28 10:49:14'),
(71, 'opendocument graphics', '', 'odg', 'application/vnd.oasis.opendocument.graphics', 'non', 'oui', '2008-02-28 10:49:14'),
(72, 'opendocument chart', '', 'odc', 'application/vnd.oasis.opendocument.chart', 'non', 'oui', '2008-02-28 10:49:14'),
(73, 'opendocument formula', '', 'odf', 'application/vnd.oasis.opendocument.formula', 'non', 'oui', '2008-02-28 10:49:14'),
(74, 'opendocument database', '', 'odb', 'application/vnd.oasis.opendocument.database', 'non', 'oui', '2008-02-28 10:49:14'),
(75, 'opendocument image', '', 'odi', 'application/vnd.oasis.opendocument.image', 'non', 'oui', '2008-02-28 10:49:14'),
(76, 'opendocument text-master', '', 'odm', 'application/vnd.oasis.opendocument.text-master', 'non', 'oui', '2008-02-28 10:49:14'),
(77, 'opendocument text-template', '', 'ott', 'application/vnd.oasis.opendocument.text-template', 'non', 'oui', '2008-02-28 10:49:14'),
(78, 'opendocument spreadsheet-template', '', 'ots', 'application/vnd.oasis.opendocument.spreadsheet-template', 'non', 'oui', '2008-02-28 10:49:14'),
(79, 'opendocument presentation-template', '', 'otp', 'application/vnd.oasis.opendocument.presentation-template', 'non', 'oui', '2008-02-28 10:49:14'),
(80, 'opendocument graphics-template', '', 'otg', 'application/vnd.oasis.opendocument.graphics-template', 'non', 'oui', '2008-02-28 10:49:14');

-- --------------------------------------------------------

-- 
-- Structure de la table `spip_versions`
-- 

CREATE TABLE IF NOT EXISTS `spip_versions` (
  `id_article` bigint(21) NOT NULL,
  `id_version` int(10) unsigned NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `id_auteur` varchar(23) NOT NULL,
  `titre_version` text NOT NULL,
  `permanent` char(3) NOT NULL,
  `champs` text NOT NULL,
  PRIMARY KEY  (`id_article`,`id_version`),
  KEY `date` (`id_article`,`date`),
  KEY `id_auteur` (`id_auteur`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_versions`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_versions_fragments`
-- 

CREATE TABLE IF NOT EXISTS `spip_versions_fragments` (
  `id_fragment` int(10) unsigned NOT NULL default '0',
  `version_min` int(10) unsigned NOT NULL default '0',
  `version_max` int(10) unsigned NOT NULL default '0',
  `id_article` bigint(21) NOT NULL,
  `compress` tinyint(4) NOT NULL,
  `fragment` longblob NOT NULL,
  PRIMARY KEY  (`id_article`,`id_fragment`,`version_min`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_versions_fragments`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_visites`
-- 

CREATE TABLE IF NOT EXISTS `spip_visites` (
  `date` date NOT NULL,
  `visites` int(10) unsigned NOT NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_visites`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `spip_visites_articles`
-- 

CREATE TABLE IF NOT EXISTS `spip_visites_articles` (
  `date` date NOT NULL,
  `id_article` int(10) unsigned NOT NULL,
  `visites` int(10) unsigned NOT NULL,
  `maj` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`date`,`id_article`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `spip_visites_articles`
-- 


