-- Update systématique des éléments de la base gibii53
\r gibii53
---------------------------------
%if %%is_defined('full_cas') and %%full_cas == 'oui'
-- Cas 1 : authentification CAS
UPDATE `gibii53`.`etablissements` SET `typauth_id` = '3' WHERE `etablissements`.`etab_id` =1 LIMIT 1 ;
TRUNCATE TABLE `_params_auth`;
INSERT INTO `_params_auth` (`param_id`, `etab_id`, `param_nom`, `param_type`, `param_val`, `param_desc`, `param_tag`) VALUES
%if %%is_defined('cas_domainname')
(1, 1, 'CAS_SERVEUR', 's', '%%cas_domainname', 'Adresse du serveur CAS', -1),
%else
(1, 1, 'CAS_SERVEUR', 's', '%%adresse_ip_eth0', 'Adresse du serveur CAS', -1),
%end if
%if %%is_defined('cas_port')
(2, 1, 'CAS_PORT', 'i', '%%cas_port', 'Port du serveur CAS', -1),
%else
(2, 1, 'CAS_PORT', 'i', '8443', 'Port du serveur CAS', -1),
%end if
(3, 1, 'CAS_URI', 's', '', 'URI sur le serveur CAS', -1),
(4, 1, 'CAS_EXCLUSIF', 'i', '1', 'CAS exclusif (eole)', -1),
(5, 1, 'CAS_RETOUR', 's', '../cas_logout.php', 'URL du fichier de logout cas(eole)', '-1');
%else
-- Cas 2 : authentification ldap
UPDATE `gibii53`.`etablissements` SET `typauth_id` = '2' WHERE `etablissements`.`etab_id` =1 LIMIT 1 ;
TRUNCATE TABLE `_params_auth`;
INSERT INTO `_params_auth` (`param_id`, `etab_id`, `param_nom`, `param_type`, `param_val`, `param_desc`, `param_tag`) VALUES
(1, 1, 'ldap_server', 's', '%%adresse_ip_eth0', 'Adresse du serveur LDAP', -1),
(2, 1, 'ldap_port', 'i', '389', 'Port du serveur LDAP', -1),
(3, 1, 'ldap_basedn', 's', 'o=gouv,c=fr', 'Base DN', -1);
%end if
