-- phpMyAdmin SQL Dump
-- version 2.10.3deb1ubuntu0.1
-- http://www.phpmyadmin.net
-- 
-- Serveur: localhost
-- Généré le : Ven 29 Février 2008 à 16:21
-- Version du serveur: 5.0.45
-- Version de PHP: 5.2.3-1ubuntu6.3

-- création de la base de donnée
CREATE DATABASE gibii53;


-- création du user de la base
grant all privileges on gibii53.* to gibii53@localhost identified by 'gibii53';
flush privileges ;


-- connexion à la base
\r gibii53


SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- 
-- Base de données: `gibii53`
-- 

-- --------------------------------------------------------

-- 
-- Structure de la table `averts`
-- 

CREATE TABLE IF NOT EXISTS `averts` (
  `avert_id` int(11) NOT NULL auto_increment,
  `code` enum('refusdem','s2admins') default NULL,
  `luquand` datetime default NULL,
  `texte_id` int(11) default NULL,
  `to_id` int(11) default NULL,
  PRIMARY KEY  (`avert_id`),
  KEY `IDX_avert1` (`to_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `averts`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `brevets`
-- 

CREATE TABLE IF NOT EXISTS `brevets` (
  `bid` int(11) NOT NULL auto_increment,
  `eleve_id` int(11) NOT NULL,
  `niveau` tinyint(4) NOT NULL,
  `datebrev` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`bid`),
  KEY `IDX_eid` (`eleve_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `brevets`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `changements_logins`
-- 

CREATE TABLE IF NOT EXISTS `changements_logins` (
  `etab_id` int(11) NOT NULL,
  `loginold` varchar(30) default NULL,
  `loginnew` varchar(30) default NULL,
  `nom` varchar(30) default NULL,
  `prenom` varchar(30) default NULL,
  `statut` varchar(10) default NULL,
  `annee` int(11) default NULL,
  `dateconnexion` int(11) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `changements_logins`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `classes`
-- 

CREATE TABLE IF NOT EXISTS `classes` (
  `classe_id` int(11) NOT NULL auto_increment,
  `divcod` varchar(12) NOT NULL,
  `divgro` char(1) default 'D',
  `etab_id` int(11) NOT NULL,
  PRIMARY KEY  (`classe_id`),
  KEY `IDX_classes1` (`etab_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Contenu de la table `classes`
-- 

INSERT INTO `classes` (`classe_id`, `divcod`, `divgro`, `etab_id`) VALUES 
(1, 'Classe_Test', 'D', 1);

-- --------------------------------------------------------

-- 
-- Structure de la table `comptes`
-- 

CREATE TABLE IF NOT EXISTS `comptes` (
  `compte_id` int(11) NOT NULL auto_increment,
  `login` varchar(22) default NULL,
  `mdp` char(32) NOT NULL default '',
  `statut` enum('Eleve','Prof','Admin','Gest','Sadmin','Parent','Autre') NOT NULL,
  `theme` varchar(128) default '',
  `actif` int(11) NOT NULL default '0',
  `precdate` int(11) default NULL,
  `nbsessions` int(11) default '0',
  `ip` int(11) default NULL,
  `machinecliente` varchar(32) default NULL,
  `prof_id` int(11) default NULL,
  `eleve_id` int(11) default NULL,
  `etab_id` int(11) NOT NULL,
  PRIMARY KEY  (`compte_id`),
  KEY `IDX_comptes1` (`login`,`etab_id`),
  KEY `IDX_comptes2` (`eleve_id`),
  KEY `IDX_comptes3` (`prof_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

-- 
-- Contenu de la table `comptes`
-- 

INSERT INTO `comptes` (`compte_id`, `login`, `mdp`, `statut`, `theme`, `actif`, `precdate`, `nbsessions`, `ip`, `machinecliente`, `prof_id`, `eleve_id`, `etab_id`) VALUES 
(1, 'sadmin', 'c5edac1b8c1d58bad90a246d8f08f53b', 'Sadmin', '', 1, NULL, 0, NULL, NULL, NULL, NULL, 0),
(2, '00000', 'dcddb75469b4b4875094e14561e573d8', 'Eleve', '', 0, NULL, 0, NULL, NULL, NULL, 1, 1),
(3, 'proftest', 'a4b3ae8aa86b957c661179eec961f951', 'Prof', '', 0, NULL, 0, NULL, NULL, 1, NULL, 1),
(4, 'gestion', 'a25e8b42372495de20fda72ea762c03b', 'Gest', '', 0, NULL, 0, NULL, NULL, NULL, NULL, 1),
(5, 'admin', '21232f297a57a5a743894a0e4a801fc3', 'Admin', '', 1, NULL, 0, NULL, NULL, NULL, NULL, 1);

-- --------------------------------------------------------

-- 
-- Structure de la table `connexions`
-- 

CREATE TABLE IF NOT EXISTS `connexions` (
  `quand` datetime default NULL,
  `ip` int(11) default NULL,
  `machinecliente` varchar(255) default NULL,
  `compte_id` int(11) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `connexions`
-- 

INSERT INTO `connexions` (`quand`, `ip`, `machinecliente`, `compte_id`) VALUES 
('2008-02-29 16:14:46', -1062672868, 'jojo', 1);

-- --------------------------------------------------------

-- 
-- Structure de la table `demandes`
-- 

CREATE TABLE IF NOT EXISTS `demandes` (
  `message_id` int(11) NOT NULL auto_increment,
  `quand` datetime NOT NULL,
  `commentaire` text,
  `obtenue` tinyint(4) default NULL,
  `active` tinyint(4) default NULL,
  `nboui` tinyint(4) default NULL,
  `nbnon` tinyint(4) default NULL,
  `longue` tinyint(4) default NULL,
  `eleve_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  `disc_id` int(11) default NULL,
  PRIMARY KEY  (`message_id`),
  KEY `IDX_demandes1` (`eleve_id`,`disc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `demandes`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `disciplines`
-- 

CREATE TABLE IF NOT EXISTS `disciplines` (
  `disc_id` int(11) NOT NULL,
  `libelle` varchar(60) default NULL,
  `code_langue` varchar(2) default 'Fr',
  PRIMARY KEY  (`disc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `disciplines`
-- 

INSERT INTO `disciplines` (`disc_id`, `libelle`, `code_langue`) VALUES 
(1, 'divers', ''),
(2, 'administration', ''),
(3, 'allemand', 'AL'),
(4, 'anglais', 'AG'),
(5, 'arabe', 'AR'),
(6, 'arts', ''),
(7, 'assistant', ''),
(8, 'basque', ''),
(9, 'biochimie', ''),
(10, 'biologie-géologie', ''),
(11, 'biotechnologie', ''),
(12, 'braille', ''),
(13, 'catalan', ''),
(14, 'chimie', ''),
(15, 'comptabilité', ''),
(16, 'documentation', ''),
(17, 'E.M.T.', ''),
(18, 'économie et gestion', ''),
(19, 'éducation', ''),
(20, 'EPS', ''),
(21, 'espagnol', 'ES'),
(22, 'formateur', ''),
(23, 'génie', ''),
(24, 'grammaire', ''),
(25, 'grec', 'GR'),
(26, 'histoire-géographie', ''),
(27, 'information et orientation', ''),
(28, 'instituteur spécialisé', ''),
(29, 'italien', 'IT'),
(30, 'langues', ''),
(31, 'lettres', ''),
(32, 'lettres classiques', ''),
(33, 'lettres modernes', ''),
(34, 'lettres+', ''),
(35, 'lettres+langue', ''),
(36, 'mathématiques', ''),
(37, 'maths+', ''),
(38, 'MI-SE', ''),
(39, 'musique', ''),
(40, 'occitan', ''),
(41, 'orientation', ''),
(42, 'PEGC  section 13', ''),
(43, 'philosophie', ''),
(44, 'physique-chimie', ''),
(45, 'portugais', ''),
(46, 'premier degré', ''),
(47, 'professionnel', ''),
(48, 'russe', 'RU'),
(49, 'sciences', ''),
(50, 'sciences et techniques', ''),
(51, 'secrétariat', ''),
(52, 'SES', ''),
(53, 'STI', ''),
(54, 'SVT', ''),
(55, 'technologie', ''),
(56, 'tertiaire', ''),
(57, 'vente', ''),
(58, 'enseignant-éducateur', '');

-- --------------------------------------------------------

-- 
-- Structure de la table `disc_gep`
-- 

CREATE TABLE IF NOT EXISTS `disc_gep` (
  `gep_id` varchar(8) NOT NULL,
  `disc_id` int(11) NOT NULL,
  PRIMARY KEY  (`gep_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `disc_gep`
-- 

INSERT INTO `disc_gep` (`gep_id`, `disc_id`) VALUES 
('0000O', 1),
('P9303', 1),
('201', 1),
('Z9999', 1),
('R9074', 1),
('P9125', 1),
('P9126', 1),
('P9128', 1),
('F0068', 1),
('M0030', 1),
('7210J', 1),
('P7210', 1),
('Q7210', 1),
('7210M', 1),
('0500E', 1),
('L0500', 1),
('0510E', 1),
('L0510', 1),
('0530E', 1),
('L0530', 1),
('0520E', 1),
('L0520', 1),
('J0035', 1),
('R0801', 1),
('P9104', 1),
('0090E', 1),
('L0090', 1),
('R9034', 1),
('R0913', 1),
('P0000', 1),
('R0000', 1),
('R0400', 1),
('R0500', 1),
('R0100', 1),
('R0200', 1),
('R0300', 1),
('R0600', 1),
('R0700', 1),
('R0800', 1),
('R0900', 1),
('R1000', 1),
('R1100', 1),
('R1200', 1),
('R1300', 1),
('R1400', 2),
('A0020', 2),
('0030I', 2),
('P9311', 2),
('P9310', 2),
('2001M', 2),
('P2001', 2),
('2001J', 2),
('F0060', 2),
('F0070', 2),
('P2072', 2),
('P2085', 2),
('2080J', 2),
('P2040', 2),
('2040J', 2),
('N0010', 2),
('D0011', 2),
('P9108', 2),
('D0010', 2),
('P9106', 2),
('P9105', 2),
('I0030', 2),
('0005X', 2),
('N0016', 2),
('N0040', 2),
('N0006', 2),
('N0005', 2),
('N0007', 2),
('N0060', 2),
('0020X', 2),
('0010A', 2),
('0010X', 2),
('R1207', 2),
('R9211', 2),
('R9031', 2),
('R0803', 2),
('P9222', 2),
('P9227', 2),
('P9221', 2),
('R1323', 2),
('421', 3),
('0421A', 3),
('0421E', 3),
('0421I', 3),
('I0421', 3),
('L0421', 3),
('L0451', 3),
('0221J', 3),
('422', 4),
('0422A', 4),
('0422E', 4),
('0422I', 4),
('0422Q', 4),
('I0422', 4),
('L0422', 4),
('N0422', 4),
('0222J', 4),
('0423A', 5),
('0423E', 5),
('0423I', 5),
('I0423', 5),
('L0423', 5),
('L0453', 5),
('6620J', 6),
('P6620', 6),
('Q6620', 6),
('6630J', 6),
('6650J', 6),
('1800B', 6),
('1800A', 6),
('P6610', 6),
('Q6610', 6),
('6500E', 6),
('6500A', 6),
('L2065', 6),
('6680E', 6),
('6680J', 6),
('6680M', 6),
('L6680', 6),
('P6680', 6),
('Q6680', 6),
('6620E', 6),
('6620M', 6),
('L6620', 6),
('6660E', 6),
('6660J', 6),
('6660M', 6),
('L6660', 6),
('P6660', 6),
('Q6660', 6),
('6652J', 6),
('P6652', 6),
('Q6652', 6),
('6650E', 6),
('6650M', 6),
('L6650', 6),
('P6650', 6),
('Q6650', 6),
('6670E', 6),
('6670J', 6),
('6670M', 6),
('L6670', 6),
('P6670', 6),
('Q6670', 6),
('6630E', 6),
('6630M', 6),
('L6630', 6),
('P6630', 6),
('Q6630', 6),
('6690E', 6),
('6690J', 6),
('6690M', 6),
('L6690', 6),
('P6690', 6),
('Q6690', 6),
('6610E', 6),
('6610J', 6),
('6610M', 6),
('L6610', 6),
('1800', 6),
('1800E', 6),
('1800I', 6),
('I1800', 6),
('L1800', 6),
('L1802', 6),
('1800S', 6),
('Q1800', 6),
('C1800', 6),
('W1800', 6),
('6640E', 6),
('6640J', 6),
('6640M', 6),
('L6640', 6),
('P6640', 6),
('Q6640', 6),
('R0911', 6),
('6500J', 6),
('1700Q', 6),
('L6500', 6),
('P6500', 6),
('X0428', 7),
('0421X', 7),
('X0421', 7),
('0422X', 7),
('X0422', 7),
('0423X', 7),
('X0423', 7),
('0424X', 7),
('X0424', 7),
('0433X', 7),
('X0433', 7),
('0434X', 7),
('X0434', 7),
('0426X', 7),
('X0426', 7),
('0428X', 7),
('0429X', 7),
('X0429', 7),
('2001E', 7),
('L2001', 7),
('R0811', 7),
('0440E', 8),
('L0440', 8),
('0440S', 8),
('C0440', 8),
('R9083', 9),
('7100A', 9),
('L7100', 9),
('I1600', 10),
('P9082', 10),
('R9082', 10),
('P9083', 11),
('7200A', 11),
('7200E', 11),
('7200K', 11),
('7100E', 11),
('7150E', 11),
('L7150', 11),
('7130M', 11),
('7130J', 11),
('P7130', 11),
('Q7130', 11),
('L7200', 11),
('P7200', 11),
('P7202', 11),
('7200L', 11),
('0095R', 12),
('C0095', 12),
('0442E', 13),
('L0442', 13),
('0484A', 13),
('0484E', 13),
('L0484', 13),
('0485A', 13),
('0485E', 13),
('L0485', 13),
('0486A', 13),
('0486E', 13),
('L0486', 13),
('R0701', 14),
('8012M', 15),
('P8042', 15),
('8012J', 15),
('P8012', 15),
('0080J', 16),
('80', 16),
('0080E', 16),
('L0080', 16),
('P0080', 16),
('0080R', 16),
('0080M', 16),
('C0080', 16),
('R1201', 16),
('1410', 17),
('C1412', 17),
('C1411', 17),
('C1410', 17),
('L1410', 17),
('N8049', 18),
('L8025', 18),
('L8023', 18),
('L8022', 18),
('8010D', 18),
('L8031', 18),
('8010I', 18),
('8010Q', 18),
('I8010', 18),
('L8010', 18),
('N8010', 18),
('8011A', 18),
('8010H', 18),
('8010A', 18),
('8010E', 18),
('L8011', 18),
('8010C', 18),
('8010G', 18),
('L8013', 18),
('8010B', 18),
('8010F', 18),
('L8012', 18),
('8031A', 18),
('8031E', 18),
('R0909', 18),
('0030X', 19),
('0030Y', 19),
('E0030', 19),
('1900', 20),
('1900A', 20),
('1900E', 20),
('1900I', 20),
('1900S', 20),
('I1900', 20),
('L1900', 20),
('Q1900', 20),
('C1900', 20),
('W1900', 20),
('426', 21),
('0426A', 21),
('0426E', 21),
('0426I', 21),
('I0426', 21),
('L0426', 21),
('0457A', 21),
('0457E', 21),
('L0457', 21),
('L0456', 21),
('0458A', 21),
('0458E', 21),
('L0458', 21),
('0226J', 21),
('F0065', 22),
('P9302', 22),
('F0061', 22),
('P4550', 23),
('Q4550', 23),
('2600E', 23),
('2600J', 23),
('L2600', 23),
('P2600', 23),
('Q2600', 23),
('3000A', 23),
('L3000', 23),
('3000C', 23),
('3000B', 23),
('3100B', 23),
('3010J', 23),
('P3010', 23),
('P3020', 23),
('Q3020', 23),
('3020J', 23),
('3100A', 23),
('3100E', 23),
('3100J', 23),
('3000E', 23),
('5100E', 23),
('5200E', 23),
('5500E', 23),
('5100A', 23),
('5100B', 23),
('5200A', 23),
('5100J', 23),
('5200J', 23),
('L5100', 23),
('P5200', 23),
('Q5200', 23),
('P5100', 23),
('Q5100', 23),
('2450J', 23),
('2500J', 23),
('2100E', 23),
('2100J', 23),
('L2100', 23),
('P2100', 23),
('Q2100', 23),
('L2400', 23),
('P2400', 23),
('Q2400', 23),
('2100A', 23),
('L2300', 23),
('4225E', 23),
('2500E', 23),
('L2500', 23),
('P2500', 23),
('Q2500', 23),
('2400A', 23),
('2400E', 23),
('2400J', 23),
('2200E', 23),
('2200J', 23),
('L2200', 23),
('P2200', 23),
('Q2200', 23),
('2300E', 23),
('2300J', 23),
('4550J', 23),
('4500J', 23),
('4245M', 23),
('4200A', 23),
('4100E', 23),
('L4100', 23),
('P4100', 23),
('4130E', 23),
('L4130', 23),
('P4245', 23),
('Q4245', 23),
('L4500', 23),
('4500A', 23),
('4500E', 23),
('4100J', 23),
('4200J', 23),
('4200E', 23),
('L4200', 23),
('P4200', 23),
('Q4200', 23),
('P4500', 23),
('Q4500', 23),
('4120E', 23),
('4120J', 23),
('L3100', 23),
('P3100', 23),
('Q3100', 23),
('R1305', 23),
('0201B', 24),
('0427E', 25),
('L0427', 25),
('1000A', 26),
('R0905', 26),
('1000B', 26),
('1000I', 26),
('1000Q', 26),
('I1000', 26),
('N1000', 26),
('R0904', 26),
('1000E', 26),
('1000', 26),
('1000C', 26),
('L1000', 26),
('1052E', 26),
('L0211', 26),
('1051A', 26),
('1051E', 26),
('L1051', 26),
('1052A', 26),
('L1052', 26),
('0040Q', 27),
('0072R', 28),
('C0072', 28),
('0071R', 28),
('C0071', 28),
('429', 29),
('0429A', 29),
('0429E', 29),
('0429I', 29),
('I0429', 29),
('L0429', 29),
('L0459', 29),
('0229J', 29),
('R0903', 30),
('0436E', 30),
('L0436', 30),
('441 F', 30),
('L0441', 30),
('0441E', 30),
('0424A', 30),
('0424E', 30),
('0424I', 30),
('I0424', 30),
('L0424', 30),
('0425E', 30),
('L0425', 30),
('0428A', 30),
('0428E', 30),
('0428I', 30),
('I0428', 30),
('L0428', 30),
('0430E', 30),
('L0430', 30),
('L0600', 30),
('0443E', 30),
('L0443', 30),
('0430A', 30),
('L0448', 30),
('0437E', 30),
('L0437', 30),
('0251A', 30),
('0251E', 30),
('L0251', 30),
('0431A', 30),
('0431E', 30),
('L0431', 30),
('0446E', 30),
('L0446', 30),
('L0447', 30),
('L0439', 30),
('0432A', 30),
('0432E', 30),
('L0432', 30),
('0445E', 30),
('L0445', 30),
('0438E', 30),
('L0438', 30),
('0250E', 30),
('L0250', 30),
('R0450', 30),
('0435E', 30),
('L0435', 30),
('0200I', 31),
('0200Q', 31),
('I0200', 31),
('N0200', 31),
('0212R', 32),
('C0212', 32),
('Q0212', 32),
('W0212', 32),
('0201A', 32),
('0201E', 32),
('L0201', 32),
('R0902', 32),
('0202A', 33),
('0202E', 33),
('L0202', 33),
('R0901', 33),
('0210Q', 34),
('N0210', 34),
('0218R', 34),
('C0218', 34),
('Q0218', 34),
('W0218', 34),
('0217R', 34),
('C0217', 34),
('Q0217', 34),
('W0217', 34),
('C0219', 34),
('Q0219', 34),
('W0219', 34),
('0219R', 34),
('0210M', 34),
('0210R', 34),
('C0210', 34),
('P0210', 34),
('Q0210', 34),
('W0210', 34),
('0210J', 34),
('L0210', 34),
('0221Q', 35),
('N0221', 35),
('0222Q', 35),
('N0222', 35),
('0226Q', 35),
('N0226', 35),
('0250R', 35),
('0221M', 35),
('0221R', 35),
('C0221', 35),
('P0221', 35),
('Q0221', 35),
('W0221', 35),
('0222M', 35),
('0222R', 35),
('C0222', 35),
('P0222', 35),
('Q0222', 35),
('W0222', 35),
('0223J', 35),
('0223M', 35),
('P0223', 35),
('0226M', 35),
('0226R', 35),
('C0226', 35),
('P0226', 35),
('Q0226', 35),
('W0226', 35),
('0229M', 35),
('0229R', 35),
('C0229', 35),
('L0469', 35),
('P0229', 35),
('Q0229', 35),
('W0229', 35),
('0252A', 35),
('0252E', 35),
('L0252', 35),
('0233R', 35),
('C0233', 35),
('Q0233', 35),
('W0233', 35),
('0234R', 35),
('C0234', 35),
('Q0234', 35),
('W0234', 35),
('L0471', 35),
('L0483', 35),
('L0466', 35),
('L0473', 35),
('1300', 36),
('1300A', 36),
('1300E', 36),
('1300I', 36),
('1300Q', 36),
('I1300', 36),
('L1300', 36),
('N1300', 36),
('1318R', 37),
('1317R', 37),
('1319R', 37),
('1315R', 37),
('1315N', 37),
('1315M', 37),
('C1318', 37),
('Q1318', 37),
('W1318', 37),
('C1317', 37),
('Q1317', 37),
('W1317', 37),
('C1319', 37),
('Q1319', 37),
('W1319', 37),
('C1315', 37),
('P1315', 37),
('Q1315', 37),
('W1315', 37),
('R0601', 37),
('L1317', 37),
('1315J', 37),
('L1315', 37),
('1315Q', 37),
('N1315', 37),
('P5150', 37),
('5150M', 37),
('0051V', 38),
('S0052', 38),
('S0051', 38),
('0052V', 38),
('S0053', 38),
('1700', 39),
('1700I', 39),
('I1700', 39),
('L1700', 39),
('1700A', 39),
('1700E', 39),
('C1702', 39),
('L1702', 39),
('Q1702', 39),
('W1702', 39),
('1700S', 39),
('Q1700', 39),
('C1700', 39),
('W1700', 39),
('0444E', 40),
('L0444', 40),
('0487A', 40),
('0487E', 40),
('L0487', 40),
('0488A', 40),
('0488E', 40),
('L0488', 40),
('0489A', 40),
('0489E', 40),
('L0489', 40),
('0040X', 41),
('O0040', 41),
('1400R', 42),
('1410R', 42),
('1400S', 42),
('0100A', 43),
('0100E', 43),
('0100I', 43),
('I0100', 43),
('L0100', 43),
('R0920', 43),
('1500F', 44),
('1500H', 44),
('1500', 44),
('1500C', 44),
('1500I', 44),
('I1500', 44),
('L1500', 44),
('R9081', 44),
('P9081', 44),
('1500B', 44),
('1500A', 44),
('1510A', 44),
('0433A', 45),
('0433E', 45),
('0433I', 45),
('I0433', 45),
('L0433', 45),
('L0463', 45),
('L0493', 45),
('0070Q', 46),
('R9217', 47),
('P9162', 47),
('R9162', 47),
('P9163', 47),
('R9163', 47),
('P9127', 47),
('R9025', 47),
('R9096', 47),
('R9308', 47),
('R0101', 47),
('R9032', 47),
('R9301', 47),
('2140E', 47),
('2140J', 47),
('2140M', 47),
('L2140', 47),
('P2140', 47),
('Q2140', 47),
('P9093', 47),
('R0604', 47),
('R9093', 47),
('R0204', 47),
('4250M', 47),
('4250J', 47),
('P4250', 47),
('Q4250', 47),
('0960Q', 47),
('0940Q', 47),
('0920Q', 47),
('F0067', 47),
('0910Q', 47),
('0930Q', 47),
('R0910', 47),
('R1101', 47),
('6510E', 47),
('L6510', 47),
('6940J', 47),
('6940M', 47),
('P6940', 47),
('Q6940', 47),
('8016E', 47),
('L8016', 47),
('R1005', 47),
('L8020', 47),
('5110J', 47),
('6685E', 47),
('5110M', 47),
('R1307', 47),
('R1301', 47),
('R0201', 47),
('R1206', 47),
('R1202', 47),
('6631J', 47),
('6631M', 47),
('P6631', 47),
('Q6631', 47),
('R1314', 47),
('R1327', 47),
('8516J', 47),
('P8516', 47),
('Q8516', 47),
('8515J', 47),
('8515M', 47),
('P8515', 47),
('Q8515', 47),
('8513J', 47),
('8513M', 47),
('P8513', 47),
('Q8513', 47),
('2232J', 47),
('2232M', 47),
('P2232', 47),
('Q2232', 47),
('6632M', 47),
('3013M', 47),
('3025J', 47),
('3025M', 47),
('P3025', 47),
('Q3025', 47),
('2451J', 47),
('2451M', 47),
('3030E', 47),
('L3030', 47),
('R1103', 47),
('6911J', 47),
('6911M', 47),
('P6911', 47),
('Q6911', 47),
('2310J', 47),
('2310M', 47),
('P2310', 47),
('Q2310', 47),
('6922J', 47),
('6922M', 47),
('P6922', 47),
('Q6922', 47),
('8517J', 47),
('P8517', 47),
('Q8517', 47),
('2111J', 47),
('2111M', 47),
('P2111', 47),
('Q2111', 47),
('R0412', 47),
('R1317', 47),
('P9065', 47),
('R9065', 47),
('P9042', 47),
('R9042', 47),
('R0402', 47),
('P9021', 47),
('R9021', 47),
('R0605', 47),
('R9095', 47),
('R9022', 47),
('P9023', 47),
('R9023', 47),
('6980E', 47),
('L6980', 47),
('P6980', 47),
('Q6980', 47),
('6980J', 47),
('6980M', 47),
('7420J', 47),
('7420M', 47),
('P7420', 47),
('Q7420', 47),
('R1328', 47),
('6111M', 47),
('R1007', 47),
('P6111', 47),
('Q6111', 47),
('6111J', 47),
('R0403', 47),
('R9024', 47),
('R1332', 47),
('2620M', 47),
('2620J', 47),
('R0706', 47),
('6320J', 47),
('R1321', 47),
('P9061', 47),
('R9061', 47),
('R9054', 47),
('R9055', 47),
('P6320', 47),
('Q6320', 47),
('6320M', 47),
('6310J', 47),
('6310M', 47),
('P6310', 47),
('Q6310', 47),
('P9154', 47),
('R9154', 47),
('P9115', 47),
('P2450', 47),
('Q2450', 47),
('R1315', 47),
('2450M', 47),
('2401E', 47),
('2401J', 47),
('2401M', 47),
('L2401', 47),
('P9201', 47),
('R9201', 47),
('F0064', 47),
('2243J', 47),
('P2243', 47),
('Q2243', 47),
('6643J', 47),
('P6643', 47),
('Q6643', 47),
('6941J', 47),
('6941M', 47),
('P6941', 47),
('Q6941', 47),
('3023J', 47),
('3023M', 47),
('P3023', 47),
('Q3023', 47),
('R0304', 47),
('2065A', 47),
('2065E', 47),
('2080E', 47),
('2085E', 47),
('2071E', 47),
('2020E', 47),
('2022E', 47),
('2073E', 47),
('2010A', 47),
('2080A', 47),
('2085A', 47),
('2071A', 47),
('2020A', 47),
('2073A', 47),
('2022A', 47),
('8511E', 47),
('8511M', 47),
('L8511', 47),
('P9151', 47),
('R9151', 47),
('R1325', 47),
('R9052', 47),
('R9072', 47),
('4513J', 47),
('4513M', 47),
('P4513', 47),
('Q4513', 47),
('4227J', 47),
('P4227', 47),
('Q4227', 47),
('R0422', 47),
('R0410', 47),
('6520E', 47),
('L6520', 47),
('P6520', 47),
('P6515', 47),
('3013J', 47),
('P3013', 47),
('6501M', 47),
('P6501', 47),
('4110J', 47),
('3012M', 47),
('4110M', 47),
('P4110', 47),
('R1104', 47),
('R1109', 47),
('R0423', 47),
('R0416', 47),
('R0408', 47),
('R1106', 47),
('R1108', 47),
('R1105', 47),
('7120E', 47),
('L7120', 47),
('6673J', 47),
('6673M', 47),
('P6673', 47),
('Q6673', 47),
('2120E', 47),
('2120J', 47),
('2120M', 47),
('L2120', 47),
('P2120', 47),
('Q2120', 47),
('6621J', 47),
('6621M', 47),
('P6621', 47),
('Q6621', 47),
('6961J', 47),
('6961M', 47),
('P6961', 47),
('Q6961', 47),
('R1204', 47),
('R0301', 47),
('P9045', 47),
('R9045', 47),
('R1303', 47),
('R9306', 47),
('2340J', 47),
('2340M', 47),
('P2340', 47),
('Q2340', 47),
('P9124', 47),
('2220E', 47),
('2220J', 47),
('2220M', 47),
('L2220', 47),
('P2220', 47),
('Q2220', 47),
('P9063', 47),
('R9063', 47),
('R9304', 47),
('5210J', 47),
('5210M', 47),
('P5210', 47),
('Q5210', 47),
('R9216', 47),
('P9157', 47),
('R9157', 47),
('P9153', 47),
('R9153', 47),
('7410E', 47),
('7410J', 47),
('7410M', 47),
('L7410', 47),
('P7410', 47),
('Q7410', 47),
('L6515', 47),
('6515E', 47),
('R0609', 47),
('2130E', 47),
('2130M', 47),
('L2130', 47),
('P2130', 47),
('Q2130', 47),
('2130J', 47),
('2210M', 47),
('L2210', 47),
('2121J', 47),
('2121M', 47),
('P2121', 47),
('Q2121', 47),
('6623J', 47),
('6623M', 47),
('6633J', 47),
('6633M', 47),
('P6633', 47),
('Q6633', 47),
('R1319', 47),
('6971M', 47),
('P6971', 47),
('Q6971', 47),
('6971J', 47),
('6642J', 47),
('6642M', 47),
('P9101', 47),
('P9095', 47),
('4222E', 47),
('4222J', 47),
('4222M', 47),
('L4222', 47),
('P4222', 47),
('Q4222', 47),
('R0409', 47),
('4221E', 47),
('4221J', 47),
('4221M', 47),
('L4221', 47),
('P4221', 47),
('Q4221', 47),
('2244J', 47),
('P2244', 47),
('Q2244', 47),
('3120E', 47),
('3120J', 47),
('3120M', 47),
('L3120', 47),
('P3120', 47),
('Q3120', 47),
('3011E', 47),
('L3011', 47),
('6634J', 47),
('P6634', 47),
('Q6634', 47),
('2210J', 47),
('7140E', 47),
('7140J', 47),
('7140M', 47),
('L7140', 47),
('P7140', 47),
('Q7140', 47),
('R0104', 47),
('2085J', 47),
('8520J', 47),
('L2085', 47),
('P8520', 47),
('Q8520', 47),
('8510E', 47),
('L8510', 47),
('8520E', 47),
('P8510', 47),
('Q8510', 47),
('8530E', 47),
('L8530', 47),
('8510J', 47),
('R1302', 47),
('7110E', 47),
('7110J', 47),
('7110M', 47),
('L7110', 47),
('P7110', 47),
('Q7110', 47),
('6150J', 47),
('6150M', 47),
('P6150', 47),
('Q6150', 47),
('R1004', 47),
('R1012', 47),
('R9303', 47),
('2210E', 47),
('2240E', 47),
('2240J', 47),
('2240M', 47),
('L2240', 47),
('P2240', 47),
('Q2240', 47),
('6100J', 47),
('2230E', 47),
('2230J', 47),
('2230M', 47),
('L2230', 47),
('P2230', 47),
('Q2230', 47),
('L4240', 47),
('6100E', 47),
('L6100', 47),
('4246J', 47),
('P4246', 47),
('Q4246', 47),
('R0806', 47),
('P9112', 47),
('P9110', 47),
('P9111', 47),
('P9166', 47),
('R9166', 47),
('P9168', 47),
('R9168', 47),
('3110E', 47),
('3110J', 47),
('3110M', 47),
('L3110', 47),
('P9167', 47),
('R9167', 47),
('R0302', 47),
('P9064', 47),
('R9064', 47),
('6945J', 47),
('6945M', 47),
('P6945', 47),
('Q6945', 47),
('6115J', 47),
('R9213', 47),
('B0050', 47),
('6115E', 47),
('P6115', 47),
('Q6115', 47),
('6115M', 47),
('L6115', 47),
('R9051', 47),
('P9150', 47),
('R1329', 47),
('R9150', 47),
('R0709', 47),
('R0704', 47),
('3021J', 47),
('R1318', 47),
('3021M', 47),
('P3021', 47),
('Q3021', 47),
('R1330', 47),
('P9156', 47),
('R9156', 47),
('R0426', 47),
('R1320', 47),
('R0424', 47),
('2221J', 47),
('P2221', 47),
('Q2221', 47),
('P2222', 47),
('Q2222', 47),
('2222J', 47),
('4540E', 47),
('4540J', 47),
('4540M', 47),
('L4540', 47),
('P4540', 47),
('Q4540', 47),
('R9056', 47),
('4530J', 47),
('4530M', 47),
('P4530', 47),
('Q4530', 47),
('P4551', 47),
('Q4551', 47),
('R1309', 47),
('P5110', 47),
('P5120', 47),
('5120J', 47),
('8521E', 47),
('8521M', 47),
('L8521', 47),
('R0812', 47),
('P9041', 47),
('R9041', 47),
('R0810', 47),
('R0504', 47),
('R1107', 47),
('R0505', 47),
('R0506', 47),
('2241J', 47),
('2241M', 47),
('P2241', 47),
('Q2241', 47),
('6624J', 47),
('P6624', 47),
('Q6624', 47),
('R0708', 47),
('R0401', 47),
('2501J', 47),
('4100A', 47),
('R0417', 47),
('4512E', 47),
('4512J', 47),
('4512M', 47),
('L4512', 47),
('P4512', 47),
('Q4512', 47),
('4511M', 47),
('4511J', 47),
('L4511', 47),
('R1331', 47),
('4511E', 47),
('4201J', 47),
('4201M', 47),
('2110E', 47),
('2110J', 47),
('2110M', 47),
('L2110', 47),
('R9302', 47),
('P9043', 47),
('R9043', 47),
('1511E', 47),
('L1511', 47),
('R0406', 47),
('R0705', 47),
('2402E', 47),
('L2402', 47),
('4200F', 47),
('2650E', 47),
('2650J', 47),
('2330J', 47),
('2330M', 47),
('R0415', 47),
('R1006', 47),
('R0414', 47),
('4210J', 47),
('L4210', 47),
('P4210', 47),
('Q4210', 47),
('4210E', 47),
('4210M', 47),
('R0702', 47),
('2320E', 47),
('2320J', 47),
('2320M', 47),
('L2320', 47),
('P2320', 47),
('Q2320', 47),
('M0010', 47),
('M0020', 47),
('2211J', 47),
('P2211', 47),
('Q2211', 47),
('4223E', 47),
('4223J', 47),
('4223M', 47),
('L4223', 47),
('P4223', 47),
('Q4223', 47),
('R0420', 47),
('R9305', 47),
('2321J', 47),
('2321M', 47),
('P2321', 47),
('Q2321', 47),
('R0507', 47),
('R0508', 47),
('P4224', 47),
('Q4224', 47),
('4224M', 47),
('R0425', 47),
('R0421', 47),
('4224J', 47),
('R1310', 47),
('6330J', 47),
('6330M', 47),
('P6330', 47),
('Q6330', 47),
('P6331', 47),
('Q6331', 47),
('6331J', 47),
('6331M', 47),
('R1009', 47),
('R0413', 47),
('R0303', 47),
('4120M', 47),
('L4120', 47),
('R0305', 47),
('P4120', 47),
('Q4120', 47),
('P9301', 47),
('2233J', 47),
('2233M', 47),
('P2233', 47),
('Q2233', 47),
('4226J', 47),
('P4226', 47),
('Q4226', 47),
('R9152', 47),
('R9057', 47),
('R9053', 47),
('R9073', 47),
('4245J', 47),
('8512E', 47),
('8512J', 47),
('8512M', 47),
('L8512', 47),
('P8512', 47),
('Q8512', 47),
('R1326', 47),
('6611J', 47),
('6611M', 47),
('P6611', 47),
('Q6611', 47),
('6612J', 47),
('6612M', 47),
('P9044', 47),
('R9044', 47),
('3027J', 47),
('3027M', 47),
('P3027', 47),
('Q3027', 47),
('P3028', 47),
('Q3028', 47),
('3028J', 47),
('R0802', 47),
('R1013', 47),
('R1010', 47),
('R0203', 47),
('3022M', 47),
('3022J', 47),
('P3022', 47),
('Q3022', 47),
('R1316', 47),
('R1306', 47),
('P9046', 47),
('R9046', 47),
('8518J', 47),
('P8518', 47),
('Q8518', 47),
('R0404', 47),
('R0707', 47),
('R0711', 47),
('R0804', 47),
('R0712', 47),
('R0809', 47),
('L1512', 47),
('R0106', 47),
('L6105', 47),
('R0105', 47),
('4240E', 47),
('P9091', 47),
('R0610', 47),
('R9091', 47),
('R1102', 47),
('P9210', 47),
('P9226', 47),
('P9220', 47),
('7431J', 47),
('7431M', 47),
('P7431', 47),
('Q7431', 47),
('7430J', 47),
('7430M', 47),
('P7430', 47),
('Q7430', 47),
('R0805', 47),
('R0407', 47),
('7330E', 47),
('7330J', 47),
('7330M', 47),
('L7330', 47),
('P7330', 47),
('Q7330', 47),
('R0808', 47),
('R9092', 47),
('R0098', 47),
('4551J', 47),
('4551M', 47),
('R1008', 47),
('6672J', 47),
('6672M', 47),
('R1011', 47),
('R1311', 47),
('8521A', 47),
('R9307', 47),
('R1334', 47),
('R9214', 47),
('P9164', 47),
('R9164', 47),
('6622J', 47),
('6622M', 47),
('R9071', 47),
('2242J', 47),
('2242M', 47),
('P2242', 47),
('Q2242', 47),
('6671J', 47),
('6671M', 47),
('3026J', 47),
('3026M', 47),
('P3026', 47),
('Q3026', 47),
('5111E', 47),
('L5111', 47),
('R0418', 47),
('R0710', 47),
('6661J', 47),
('6661M', 47),
('P6951', 47),
('Q6951', 47),
('6951J', 47),
('6951M', 47),
('R1333', 47),
('R1322', 47),
('6651J', 47),
('3024J', 47),
('3024M', 47),
('P3024', 47),
('Q3024', 47),
('6651M', 47),
('2235J', 47),
('2235M', 47),
('P2235', 47),
('Q2235', 47),
('6641J', 47),
('6641M', 47),
('P6641', 47),
('Q6641', 47),
('6534M', 47),
('R0205', 47),
('L2020', 47),
('2072J', 47),
('8510A', 47),
('L8520', 47),
('R0102', 47),
('L2073', 47),
('R1002', 47),
('R1001', 47),
('R1304', 47),
('7320E', 47),
('L7320', 47),
('P9062', 47),
('R9062', 47),
('L2022', 47),
('R0306', 47),
('R1003', 47),
('2322J', 47),
('P2322', 47),
('Q2322', 47),
('1400G', 47),
('1400F', 47),
('1400H', 47),
('P9215', 47),
('2200A', 47),
('1410E', 47),
('2122J', 47),
('2122M', 47),
('P2122', 47),
('Q2122', 47),
('R1205', 47),
('R0703', 47),
('P9094', 47),
('R9094', 47),
('4230E', 47),
('4230M', 47),
('L4230', 47),
('P4230', 47),
('Q4230', 47),
('R0419', 47),
('R0411', 47),
('L2501', 47),
('R0405', 47),
('2501M', 47),
('L8019', 47),
('2402J', 47),
('2402M', 47),
('P2402', 47),
('Q2402', 47),
('2231J', 47),
('2231M', 47),
('P2231', 47),
('Q2231', 47),
('6921J', 47),
('6921M', 47),
('P6921', 47),
('Q6921', 47),
('R9033', 47),
('2330E', 47),
('2330K', 47),
('L2330', 47),
('P2330', 47),
('Q2330', 47),
('P9123', 47),
('0434A', 48),
('0434E', 48),
('0434I', 48),
('I0434', 48),
('L0434', 48),
('L0464', 48),
('R0103', 49),
('1600', 49),
('1619R', 49),
('1613A', 49),
('1613E', 49),
('L1613', 49),
('C1615', 49),
('Q1615', 49),
('W1615', 49),
('C1619', 49),
('Q1619', 49),
('W1619', 49),
('1600B', 49),
('1615R', 49),
('1600C', 49),
('L1615', 49),
('R0914', 49),
('R9300', 50),
('R0503', 50),
('5101J', 50),
('5101M', 50),
('P5101', 50),
('Q5101', 50),
('R0501', 50),
('4230J', 50),
('5201M', 50),
('L5200', 50),
('R0502', 50),
('R0603', 50),
('8030E', 50),
('R0606', 50),
('L5500', 50),
('R9215', 50),
('1510F', 50),
('L1510', 50),
('7100H', 50),
('7200M', 50),
('1512A', 50),
('7000Q', 50),
('N7000', 50),
('5150J', 50),
('7300A', 50),
('L2071', 50),
('2000I', 50),
('2000Q', 50),
('N2000', 50),
('7300E', 50),
('7300J', 50),
('L7300', 50),
('P7300', 50),
('R0608', 50),
('R0607', 50),
('R0602', 50),
('R0202', 50),
('R0807', 51),
('8041M', 51),
('P9011', 51),
('L8024', 51),
('8041E', 51),
('L8041', 51),
('1100E', 52),
('1100I', 52),
('L1100', 52),
('1100A', 52),
('I1100', 52),
('N2065', 53),
('I2065', 53),
('I2072', 53),
('I2073', 53),
('I2001', 53),
('1600F', 54),
('1600A', 54),
('1600I', 54),
('L1600', 54),
('1400', 55),
('1400E', 55),
('C1400', 55),
('L1400', 55),
('P1400', 55),
('Q1400', 55),
('W1400', 55),
('L8015', 56),
('R0918', 56),
('R9015', 56),
('R9016', 56),
('R9212', 56),
('L8040', 56),
('L8018', 56),
('P9304', 56),
('L8014', 56),
('8011J', 56),
('P8011', 56),
('L6102', 56),
('R9012', 56),
('R9011', 56),
('R0908', 56),
('R0907', 56),
('R0906', 56),
('P7201', 56),
('7300M', 56),
('L8017', 56),
('R0915', 56),
('P9103', 56),
('R0919', 56),
('R1308', 56),
('R1324', 56),
('L2080', 56),
('P9102', 56),
('P9107', 56),
('P8043', 56),
('8014E', 56),
('R0917', 56),
('R0916', 56),
('R1203', 56),
('5120M', 56),
('R0912', 56),
('8013J', 57),
('L8021', 57),
('8013M', 57),
('P8013', 57);

-- --------------------------------------------------------

-- 
-- Structure de la table `divers`
-- 

CREATE TABLE IF NOT EXISTS `divers` (
  `divers_id` int(10) unsigned NOT NULL auto_increment,
  `motcle` varchar(50) default NULL,
  `id` int(11) default NULL,
  `etab_id` int(10) unsigned default NULL,
  `vrac` blob,
  PRIMARY KEY  (`divers_id`),
  KEY `IDX_Entity_11` (`etab_id`,`motcle`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `divers`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `eleves`
-- 

CREATE TABLE IF NOT EXISTS `eleves` (
  `eleve_id` int(11) NOT NULL auto_increment,
  `nom` varchar(30) NOT NULL,
  `prenom` varchar(25) NOT NULL,
  `civil` enum('M.','Mme','Mlle') NOT NULL default 'M.',
  `dnaiss` varchar(12) NOT NULL,
  `uid` varchar(20) NOT NULL default '',
  `imp_diplome` varchar(5) default NULL,
  `tag` int(11) NOT NULL default '0',
  `annee` int(11) NOT NULL,
  `lastdisc` tinyint(4) default '-1',
  `classe_id` int(11) NOT NULL,
  `compte_id` int(11) default NULL,
  `etab_id` int(11) NOT NULL,
  PRIMARY KEY  (`eleve_id`),
  KEY `IDX_eleves1` (`nom`,`prenom`,`tag`),
  KEY `IDX_eleves2` (`etab_id`,`annee`,`tag`),
  KEY `IDX_eleves3` (`compte_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Contenu de la table `eleves`
-- 

INSERT INTO `eleves` (`eleve_id`, `nom`, `prenom`, `civil`, `dnaiss`, `uid`, `imp_diplome`, `tag`, `annee`, `lastdisc`, `classe_id`, `compte_id`, `etab_id`) VALUES 
(1, 'TEST', 'Eleve', 'M.', '01/01', '', NULL, -1, 2007, -1, 1, 2, 1);

-- --------------------------------------------------------

-- 
-- Structure de la table `erreurs_logins`
-- 

CREATE TABLE IF NOT EXISTS `erreurs_logins` (
  `erid` int(11) NOT NULL auto_increment,
  `quand` datetime default NULL,
  `compte_id` int(11) default NULL,
  `etab_id` int(11) default NULL,
  `ip` varchar(40) default NULL,
  `code` enum('ETB','LOG','GDS','MDP','PAG','PER','XSS','TMO','STA','EXP') default NULL,
  `login` varchar(25) default NULL,
  `nom` varchar(25) default NULL,
  `prenom` varchar(25) default NULL,
  `statut` varchar(10) default NULL,
  `etnom` varchar(40) default NULL,
  `etville` varchar(40) default NULL,
  `etcp` varchar(6) default NULL,
  `complet` tinyint(4) default '0',
  PRIMARY KEY  (`erid`),
  KEY `IDX_Entity_12` (`etab_id`),
  KEY `IDX_erreurs_logins3` (`code`),
  KEY `IDX_erreurs_logins4` (`quand`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Contenu de la table `erreurs_logins`
-- 


-- --------------------------------------------------------

-- 
-- Structure de la table `etablissements`
-- 

CREATE TABLE IF NOT EXISTS `etablissements` (
  `etab_id` int(11) NOT NULL auto_increment,
  `rne` char(8) NOT NULL default '',
  `nom` varchar(50) NOT NULL default '',
  `adresse` varchar(255) default '',
  `codepostal` varchar(6) default '',
  `ville` varchar(50) default '',
  `mail_admin` varchar(40) default '',
  `tel_admin` varchar(20) default '',
  `typauth_id` int(11) NOT NULL default '1',
  `theme` varchar(20) NOT NULL default 'standard',
  `chgt_theme` tinyint(4) default '0',
  `theme_eleve_limite` tinyint(4) NOT NULL default '0',
  `menus_CSS` tinyint(4) default '0',
  `pas_aide_eleve` tinyint(4) NOT NULL default '0',
  `pas_aide_prof` tinyint(4) NOT NULL default '0',
  `pas_aide_admin` tinyint(4) NOT NULL default '0',
  `URL_aide_eleve` varchar(255) default 'http://wikigibii.ac-bordeaux.fr/index.php/Documentation_El%C3%A8ve',
  `URL_aide_prof` varchar(255) default 'http://wikigibii.ac-bordeaux.fr/index.php/Documentation_Prof',
  `URL_aide_admin` varchar(255) default 'http://wikigibii.ac-bordeaux.fr/index.php/Documentation_Admin',
  `niveau` enum('niv1','niv2','niv3','niv12','niv23','niv123') NOT NULL default 'niv2',
  `nb_validations` int(11) NOT NULL default '1',
  `nbj_vie_demande` int(11) NOT NULL default '30',
  `nb_max_demandes` int(11) NOT NULL default '5',
  `nb_max_refus` int(11) default '0',
  `modele_login_e` varchar(20) NOT NULL default 'ppp.nnnnnnnn',
  `modele_login_p` varchar(20) NOT NULL default 'pnnnnnnnn',
  `mdp_eleve` tinyint(4) NOT NULL default '1',
  `mdp_prof` tinyint(4) NOT NULL default '1',
  `fiche_profs` tinyint(4) NOT NULL default '1',
  `stats_profs` tinyint(4) NOT NULL default '1',
  `pop_profs` tinyint(4) default '1',
  `vouvoyer_elev` tinyint(4) default '0',
  `valid_profs` tinyint(4) NOT NULL default '1',
  `result_profs` tinyint(4) NOT NULL default '1',
  `groupes_profs` tinyint(4) default '0',
  `actif` int(11) default '1',
  `alert_message_vide` tinyint(4) NOT NULL default '0',
  `sess_timeout` int(11) NOT NULL default '7200',
  `recul_stats` int(11) default '30',
  `last_proc_local` datetime default '2000-01-01 00:00:00',
  `profslongs` int(11) default '0',
  `fposition` tinyint(4) NOT NULL default '1',
  `attestation` varchar(2) NOT NULL default 'A5',
  `type_id` tinyint(4) NOT NULL default '2',
  `avertissement` varchar(160) NOT NULL default 'Attention, toutes les irrégularités ou usurpations d''identité sont enregistrées de façon à permettre à l''administration de remonter aux auteurs.',
  `valid_tous` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`etab_id`),
  UNIQUE KEY `rne` (`rne`),
  KEY `IDX_etablissements1` (`rne`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- la suite est dans 1_scribe-gibii53.sql
--
